// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S066_FullEuropeanNumbers.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;

import java.util.ArrayList;
import java.util.Collection;


@SuppressWarnings("fallthrough")
class S066_FullEuropeanNumbers extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int extendedNumberYearState = 4;
  public static final int numberYearState = 6;
  public static final int yearNumberState = 8;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2,  2,  3,  3,  4, 4
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\1"+
    "\1\0\1\4\3\0\1\5\1\6\1\7\1\10\2\0"+
    "\1\11\1\12\1\13\1\14\1\15\1\16\1\17\3\20"+
    "\2\21\1\22\1\23\1\24\1\25\5\0\1\26\1\27"+
    "\1\30\1\31\1\32\1\33\1\34\1\35\1\36\1\31"+
    "\1\37\1\40\1\41\1\42\1\43\1\44\1\31\1\45"+
    "\1\46\1\47\1\50\1\31\1\51\3\31\1\52\1\12"+
    "\1\53\1\0\1\54\1\6\1\55\1\56\1\57\1\60"+
    "\1\61\1\62\1\63\1\64\1\65\1\60\1\66\1\67"+
    "\1\70\1\71\1\72\1\73\1\60\1\74\1\75\1\76"+
    "\1\77\1\60\1\100\3\60\65\0\1\101\3\0\1\6"+
    "\13\0\6\60\1\0\11\60\1\0\6\60\2\0\4\60"+
    "\3\0\6\60\1\0\11\60\1\0\6\60\2\0\4\60"+
    "\53\0\2\60\6\0\2\102\66\0\2\60\4\0\2\60"+
    "\17\0\1\103\u0188\0\2\60\216\0\2\60\42\0\2\60"+
    "\104\0\1\1\20\0\2\12\4\0\1\6\u0110\0\1\104"+
    "\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\5\0\4\1\2\2\1\3\1\4\1\5\7\4\1\6"+
    "\7\4\22\0\2\7\2\0\1\7\2\0\2\10\2\0"+
    "\1\10\44\0\1\7\4\0\1\10\221\0\1\11\u0137\0"+
    "\2\12\3\0\2\13\57\0\1\12\7\0\1\13\320\0"+
    "\1\14\117\0\1\12\5\0\1\13\225\0\1\15\32\0"+
    "\1\16\30\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[1117];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\105\0\212\0\317\0\u0114\0\u0159\0\u019e\0\u01e3"+
    "\0\u0228\0\u01e3\0\u026d\0\u01e3\0\u01e3\0\u02b2\0\u02f7\0\u033c"+
    "\0\u0381\0\u03c6\0\u040b\0\u0450\0\u0495\0\u04da\0\u051f\0\u0564"+
    "\0\u05a9\0\u05ee\0\u0633\0\u0678\0\u06bd\0\u0702\0\u0747\0\u078c"+
    "\0\u07d1\0\u0816\0\u085b\0\u08a0\0\u08e5\0\u092a\0\u096f\0\u09b4"+
    "\0\u09f9\0\u0a3e\0\u0a83\0\u0159\0\u0ac8\0\u0b0d\0\u0450\0\u0b52"+
    "\0\u0b97\0\u0bdc\0\u0c21\0\u01e3\0\u0c66\0\u0678\0\u0cab\0\u0cf0"+
    "\0\u0d35\0\u0d7a\0\u01e3\0\u0dbf\0\u0e04\0\u0e49\0\u0e8e\0\u0ed3"+
    "\0\u0f18\0\u0f5d\0\u0fa2\0\u0fe7\0\u102c\0\u1071\0\u10b6\0\u10fb"+
    "\0\u1140\0\u1185\0\u11ca\0\u120f\0\u1254\0\u1299\0\u12de\0\u1323"+
    "\0\u1368\0\u13ad\0\u13f2\0\u1437\0\u147c\0\u14c1\0\u1506\0\u154b"+
    "\0\u1590\0\u15d5\0\u161a\0\u165f\0\u16a4\0\u16e9\0\u172e\0\u172e"+
    "\0\u1773\0\u17b8\0\u17fd\0\u1842\0\u1842\0\u1887\0\u18cc\0\u1911"+
    "\0\u1956\0\u199b\0\u19e0\0\u1a25\0\u1a6a\0\u1aaf\0\u1af4\0\u1b39"+
    "\0\u1b7e\0\u1bc3\0\u1c08\0\u1c4d\0\u1c92\0\u1cd7\0\u1d1c\0\u1d61"+
    "\0\u1da6\0\u1deb\0\u1e30\0\u1e75\0\u1eba\0\u1eff\0\u1f44\0\u1f89"+
    "\0\u1fce\0\u2013\0\u2058\0\u209d\0\u20e2\0\u2127\0\u216c\0\u21b1"+
    "\0\u21f6\0\u223b\0\u2280\0\u22c5\0\u230a\0\u234f\0\u2394\0\u23d9"+
    "\0\u241e\0\u2463\0\u24a8\0\u24ed\0\u2532\0\u2577\0\u25bc\0\u2601"+
    "\0\u2646\0\u268b\0\u26d0\0\u2715\0\u275a\0\u279f\0\u27e4\0\u2829"+
    "\0\u286e\0\u28b3\0\u28f8\0\u293d\0\u2982\0\u29c7\0\u2a0c\0\u2a51"+
    "\0\u2a96\0\u2adb\0\u2b20\0\u2b65\0\u2baa\0\u2bef\0\u2c34\0\u2c79"+
    "\0\u2cbe\0\u2d03\0\u2d48\0\u2d8d\0\u2dd2\0\u2e17\0\u2e5c\0\u2ea1"+
    "\0\u2ee6\0\u2f2b\0\u2f70\0\u2fb5\0\u2ffa\0\u303f\0\u3084\0\u30c9"+
    "\0\u310e\0\u3153\0\u3198\0\u31dd\0\u3222\0\u3267\0\u32ac\0\u32f1"+
    "\0\u3336\0\u337b\0\u33c0\0\u3405\0\u344a\0\u348f\0\u34d4\0\u3519"+
    "\0\u355e\0\u35a3\0\u35e8\0\u362d\0\u3672\0\u36b7\0\u36fc\0\u3741"+
    "\0\u3786\0\u37cb\0\u3810\0\u3855\0\u389a\0\u38df\0\u3924\0\u3969"+
    "\0\u39ae\0\u39f3\0\u3a38\0\u3a7d\0\u3ac2\0\u3b07\0\u3b4c\0\u3b91"+
    "\0\u3bd6\0\u3c1b\0\u3c60\0\u3ca5\0\u3cea\0\u3d2f\0\u3d74\0\u3db9"+
    "\0\u3dfe\0\u3e43\0\u3e88\0\u3ecd\0\u3f12\0\u3f57\0\u01e3\0\u3f9c"+
    "\0\u3fe1\0\u4026\0\u406b\0\u40b0\0\u40f5\0\u413a\0\u417f\0\u41c4"+
    "\0\u4209\0\u424e\0\u4293\0\u42d8\0\u431d\0\u4362\0\u43a7\0\u43ec"+
    "\0\u4431\0\u4476\0\u44bb\0\u4500\0\u4545\0\u458a\0\u45cf\0\u4614"+
    "\0\u4659\0\u469e\0\u46e3\0\u4728\0\u476d\0\u47b2\0\u47f7\0\u483c"+
    "\0\u4881\0\u48c6\0\u490b\0\u4950\0\u4995\0\u49da\0\u4a1f\0\u4a64"+
    "\0\u4aa9\0\u4aee\0\u4b33\0\u4b78\0\u4bbd\0\u4c02\0\u4c47\0\u4c8c"+
    "\0\u4cd1\0\u4d16\0\u4d5b\0\u4da0\0\u4de5\0\u4e2a\0\u4e6f\0\u4eb4"+
    "\0\u4ef9\0\u4f3e\0\u4f83\0\u4fc8\0\u500d\0\u5052\0\u5097\0\u50dc"+
    "\0\u5121\0\u5166\0\u51ab\0\u51f0\0\u5235\0\u527a\0\u52bf\0\u5304"+
    "\0\u5349\0\u538e\0\u53d3\0\u5418\0\u545d\0\u54a2\0\u54e7\0\u552c"+
    "\0\u5571\0\u55b6\0\u55fb\0\u5640\0\u5685\0\u56ca\0\u570f\0\u5754"+
    "\0\u5799\0\u57de\0\u5823\0\u5868\0\u58ad\0\u58f2\0\u5937\0\u597c"+
    "\0\u59c1\0\u5a06\0\u5a4b\0\u5a90\0\u5ad5\0\u5b1a\0\u5b5f\0\u5ba4"+
    "\0\u5be9\0\u5c2e\0\u5c73\0\u5cb8\0\u5cfd\0\u5d42\0\u5d87\0\u5dcc"+
    "\0\u5e11\0\u5e56\0\u5e9b\0\u5ee0\0\u5f25\0\u5f6a\0\u5faf\0\u5ff4"+
    "\0\u6039\0\u607e\0\u60c3\0\u6108\0\u614d\0\u6192\0\u61d7\0\u621c"+
    "\0\u6261\0\u62a6\0\u62eb\0\u6330\0\u6375\0\u63ba\0\u63ff\0\u6444"+
    "\0\u6489\0\u64ce\0\u6513\0\u6558\0\u659d\0\u65e2\0\u6627\0\u666c"+
    "\0\u66b1\0\u66f6\0\u673b\0\u6780\0\u67c5\0\u680a\0\u684f\0\u6894"+
    "\0\u68d9\0\u691e\0\u6963\0\u69a8\0\u69ed\0\u6a32\0\u6a77\0\u6abc"+
    "\0\u6b01\0\u6b46\0\u6b8b\0\u6bd0\0\u6c15\0\u6c5a\0\u6c9f\0\u6ce4"+
    "\0\u6d29\0\u6d6e\0\u6db3\0\u6df8\0\u6e3d\0\u6e82\0\u6ec7\0\u6f0c"+
    "\0\u6f51\0\u6f96\0\u6fdb\0\u7020\0\u7065\0\u70aa\0\u70ef\0\u7134"+
    "\0\u7179\0\u71be\0\u7203\0\u7248\0\u728d\0\u72d2\0\u7317\0\u735c"+
    "\0\u73a1\0\u73e6\0\u742b\0\u7470\0\u74b5\0\u74fa\0\u753f\0\u7584"+
    "\0\u75c9\0\u760e\0\u7653\0\u7698\0\u76dd\0\u7722\0\u7767\0\u77ac"+
    "\0\u77f1\0\u7836\0\u787b\0\u78c0\0\u7905\0\u794a\0\u798f\0\u79d4"+
    "\0\u7a19\0\u7a5e\0\u7aa3\0\u7ae8\0\u7b2d\0\u7b72\0\u7bb7\0\u7bfc"+
    "\0\u7c41\0\u7c86\0\u7ccb\0\u7d10\0\u7d55\0\u7d9a\0\u7ddf\0\u7e24"+
    "\0\u7e69\0\u7eae\0\u7ef3\0\u7f38\0\u7f7d\0\u7fc2\0\u8007\0\u804c"+
    "\0\u8091\0\u80d6\0\u811b\0\u8160\0\u81a5\0\u81ea\0\u822f\0\u8274"+
    "\0\u82b9\0\u82fe\0\u8343\0\u8388\0\u83cd\0\u8412\0\u8457\0\u849c"+
    "\0\u84e1\0\u8526\0\u856b\0\u85b0\0\u85f5\0\u863a\0\u867f\0\u86c4"+
    "\0\u8709\0\u874e\0\u8793\0\u87d8\0\u881d\0\u8862\0\u88a7\0\u88ec"+
    "\0\u8931\0\u8976\0\u89bb\0\u8a00\0\u8a45\0\u8a8a\0\u8acf\0\u8b14"+
    "\0\u8b59\0\u8b9e\0\u8be3\0\u8c28\0\u8c6d\0\u8cb2\0\u8cf7\0\u8d3c"+
    "\0\u8d81\0\u8dc6\0\u8e0b\0\u8e50\0\u8e95\0\u8eda\0\u8f1f\0\u8f64"+
    "\0\u8fa9\0\u8fee\0\u9033\0\u9078\0\u90bd\0\u9102\0\u9147\0\u918c"+
    "\0\u91d1\0\u9216\0\u925b\0\u92a0\0\u92e5\0\u932a\0\u01e3\0\u936f"+
    "\0\u93b4\0\u93f9\0\u943e\0\u01e3\0\u9483\0\u94c8\0\u950d\0\u9552"+
    "\0\u9597\0\u95dc\0\u9621\0\u9666\0\u96ab\0\u96f0\0\u9735\0\u977a"+
    "\0\u97bf\0\u9804\0\u9849\0\u988e\0\u98d3\0\u9918\0\u995d\0\u99a2"+
    "\0\u99e7\0\u9a2c\0\u9a71\0\u9ab6\0\u9afb\0\u9b40\0\u9b85\0\u9bca"+
    "\0\u9c0f\0\u9c54\0\u9c99\0\u9cde\0\u9d23\0\u9d68\0\u9dad\0\u9df2"+
    "\0\u9e37\0\u9e7c\0\u9ec1\0\u9f06\0\u9f4b\0\u9f90\0\u9fd5\0\ua01a"+
    "\0\ua05f\0\ua0a4\0\ua0e9\0\ua12e\0\ua173\0\ua1b8\0\ua1fd\0\ua242"+
    "\0\ua287\0\ua2cc\0\ua311\0\ua356\0\ua39b\0\ua3e0\0\ua425\0\ua46a"+
    "\0\ua4af\0\ua4f4\0\ua539\0\ua57e\0\ua5c3\0\ua608\0\ua64d\0\ua692"+
    "\0\ua6d7\0\ua71c\0\ua761\0\ua7a6\0\ua7eb\0\ua830\0\ua875\0\ua8ba"+
    "\0\ua8ff\0\ua944\0\ua989\0\ua9ce\0\uaa13\0\uaa58\0\uaa9d\0\uaae2"+
    "\0\uab27\0\uab6c\0\uabb1\0\uabf6\0\uac3b\0\uac80\0\uacc5\0\uad0a"+
    "\0\uad4f\0\uad94\0\uadd9\0\uae1e\0\uae63\0\uaea8\0\uaeed\0\uaf32"+
    "\0\uaf77\0\uafbc\0\ub001\0\ub046\0\ub08b\0\ub0d0\0\ub115\0\ub15a"+
    "\0\ub19f\0\ub1e4\0\ub229\0\ub26e\0\ub2b3\0\ub2f8\0\ub33d\0\ub382"+
    "\0\ub3c7\0\ub40c\0\ub451\0\ub496\0\ub4db\0\ub520\0\ub565\0\ub5aa"+
    "\0\ub5ef\0\ub634\0\ub679\0\ub6be\0\ub703\0\ub748\0\ub78d\0\ub7d2"+
    "\0\ub817\0\ub85c\0\ub8a1\0\ub8e6\0\ub92b\0\ub970\0\ub9b5\0\ub9fa"+
    "\0\uba3f\0\uba84\0\ubac9\0\ubb0e\0\ubb53\0\ubb98\0\ubbdd\0\ubc22"+
    "\0\ubc67\0\ubcac\0\ubcf1\0\ubd36\0\ubd7b\0\ubdc0\0\ube05\0\ube4a"+
    "\0\ube8f\0\ubed4\0\ubf19\0\ubf5e\0\ubfa3\0\ubfe8\0\uc02d\0\uc072"+
    "\0\uc0b7\0\uc0fc\0\uc141\0\uc186\0\uc1cb\0\uc210\0\uc255\0\uc29a"+
    "\0\uc2df\0\uc324\0\uc369\0\uc3ae\0\uc3f3\0\uc438\0\uc47d\0\uc4c2"+
    "\0\uc507\0\uc54c\0\uc591\0\uc5d6\0\uc61b\0\uc660\0\uc6a5\0\uc6ea"+
    "\0\uc72f\0\uc774\0\uc7b9\0\uc7fe\0\uc843\0\uc888\0\uc8cd\0\uc912"+
    "\0\uc957\0\uc99c\0\uc9e1\0\uca26\0\uca6b\0\ucab0\0\ucaf5\0\ucb3a"+
    "\0\ucb7f\0\ucbc4\0\ucc09\0\ucc4e\0\ucc93\0\uccd8\0\ucd1d\0\ucd62"+
    "\0\ucda7\0\ucdec\0\uce31\0\uce76\0\ucebb\0\ucf00\0\ucf45\0\ucf8a"+
    "\0\ucfcf\0\ud014\0\ud059\0\ud09e\0\ud0e3\0\ud128\0\ud16d\0\ud1b2"+
    "\0\ud1f7\0\ud23c\0\ud281\0\ud2c6\0\ud30b\0\ud350\0\ud395\0\ud3da"+
    "\0\ud41f\0\ud464\0\ud4a9\0\ud4ee\0\ud533\0\ud578\0\ud5bd\0\ud602"+
    "\0\ud647\0\ud68c\0\ud6d1\0\ud716\0\ud75b\0\ud7a0\0\ud7e5\0\ud82a"+
    "\0\ud86f\0\ud8b4\0\ud8f9\0\ud93e\0\ud983\0\ud9c8\0\uda0d\0\uda52"+
    "\0\uda97\0\udadc\0\udb21\0\udb66\0\udbab\0\u01e3\0\udbf0\0\udc35"+
    "\0\udc7a\0\udcbf\0\udd04\0\udd49\0\udd8e\0\uddd3\0\ude18\0\ude5d"+
    "\0\udea2\0\udee7\0\udf2c\0\udf71\0\udfb6\0\udffb\0\ue040\0\ue085"+
    "\0\ue0ca\0\ue10f\0\ue154\0\ue199\0\ue1de\0\ue223\0\ue268\0\ue2ad"+
    "\0\ue2f2\0\ue337\0\ue37c\0\ue3c1\0\ue406\0\ue44b\0\ue490\0\ue4d5"+
    "\0\ue51a\0\ue55f\0\ue5a4\0\ue5e9\0\ue62e\0\ue673\0\ue6b8\0\ue6fd"+
    "\0\ue742\0\ue787\0\ue7cc\0\ue811\0\ue856\0\ue89b\0\ue8e0\0\ue925"+
    "\0\ue96a\0\ue9af\0\ue9f4\0\uea39\0\uea7e\0\ueac3\0\ueb08\0\ueb4d"+
    "\0\ueb92\0\uebd7\0\uec1c\0\uec61\0\ueca6\0\ueceb\0\ued30\0\ued75"+
    "\0\uedba\0\uedff\0\uee44\0\uee89\0\ueece\0\uef13\0\uef58\0\uef9d"+
    "\0\uefe2\0\uf027\0\uf06c\0\uf0b1\0\uf0f6\0\uf13b\0\uf180\0\uf1c5"+
    "\0\uf20a\0\uf24f\0\uf294\0\uf2d9\0\uf31e\0\uf363\0\uf3a8\0\uf3ed"+
    "\0\uf432\0\uf477\0\uf4bc\0\uf501\0\uf546\0\uf58b\0\uf5d0\0\uf615"+
    "\0\uf65a\0\uf69f\0\uf6e4\0\uf729\0\uf76e\0\uf7b3\0\uf7f8\0\uf83d"+
    "\0\uf882\0\uf8c7\0\uf90c\0\uf951\0\uf996\0\uf9db\0\ufa20\0\ufa65"+
    "\0\ufaaa\0\ufaef\0\ufb34\0\ufb79\0\ufbbe\0\ufc03\0\ufc48\0\ufc8d"+
    "\0\ufcd2\0\ufd17\0\ufd5c\0\ufda1\0\ufde6\0\ufe2b\0\ufe70\0\ufeb5"+
    "\0\ufefa\0\uff3f\0\uff84\0\uffc9\1\16\1\123\1\230\1\335"+
    "\1\u0122\1\u0167\1\u01ac\1\u01f1\1\u0236\1\u027b\1\u02c0\1\u0305"+
    "\1\u034a\1\u038f\1\u03d4\1\u0419\1\u045e\1\u04a3\1\u04e8\1\u052d"+
    "\1\u0572\1\u05b7\1\u05fc\1\u0641\1\u0686\1\u06cb\1\u0710\1\u0755"+
    "\1\u079a\1\u07df\1\u0824\1\u0869\1\u08ae\1\u08f3\1\u0938\1\u097d"+
    "\1\u09c2\1\u0a07\1\u0a4c\1\u0a91\1\u0ad6\1\u0b1b\1\u0b60\1\u0ba5"+
    "\1\u0bea\1\u0c2f\1\u0c74\1\u0cb9\1\u0cfe\1\u0d43\1\u0d88\1\u0dcd"+
    "\1\u0e12\1\u0e57\1\u0e9c\1\u0ee1\1\u0f26\1\u0f6b\1\u0fb0\1\u0ff5"+
    "\1\u103a\1\u107f\1\u10c4\1\u1109\1\u114e\1\u1193\1\u11d8\1\u121d"+
    "\1\u1262\1\u12a7\1\u12ec\1\u1331\1\u1376\1\u13bb\1\u1400\1\u1445"+
    "\1\u148a\1\u14cf\1\u1514\1\u1559\1\u159e\1\u15e3\1\u1628\1\u166d"+
    "\1\u16b2\1\u16f7\1\u173c\1\u1781\1\u17c6\1\u180b\1\u1850\1\u1895"+
    "\1\u18da\1\u191f\1\u1964\1\u19a9\1\u19ee\1\u1a33\1\u1a78\1\u1abd"+
    "\1\u1b02\0\u01e3\1\u1b47\1\u1b8c\1\u1bd1\1\u1c16\1\u1c5b\1\u1ca0"+
    "\1\u1ce5\1\u1d2a\1\u1d6f\1\u1db4\1\u1df9\1\u1e3e\1\u1e83\1\u1ec8"+
    "\1\u1f0d\1\u1f52\1\u1f97\1\u1fdc\1\u2021\1\u2066\1\u20ab\1\u20f0"+
    "\1\u2135\1\u217a\1\u21bf\1\u2204\0\u01e3\1\u2249\1\u228e\1\u22d3"+
    "\1\u2318\1\u235d\1\u23a2\1\u23e7\1\u242c\1\u2471\1\u24b6\1\u24fb"+
    "\1\u2540\1\u2585\1\u25ca\1\u260f\1\u2654\1\u2699\1\u26de\1\u2723"+
    "\1\u2768\1\u27ad\1\u27f2\1\u2837\1\u287c";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[1117];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\3\6\1\7\11\6\7\10\2\6\24\10\1\11\2\6"+
    "\24\10\4\6\52\12\1\13\32\12\105\14\15\15\7\16"+
    "\3\15\1\17\1\20\1\15\1\21\1\15\1\22\7\15"+
    "\1\23\3\15\1\24\1\15\1\25\3\15\1\17\1\20"+
    "\1\15\1\21\1\15\1\22\7\15\1\23\3\15\1\24"+
    "\22\15\7\26\3\15\1\27\1\30\1\15\1\31\1\15"+
    "\1\32\7\15\1\33\3\15\1\34\1\15\1\35\3\15"+
    "\1\27\1\30\1\15\1\31\1\15\1\32\7\15\1\33"+
    "\3\15\1\34\5\15\6\0\1\36\1\37\5\0\1\40"+
    "\1\41\1\42\4\43\3\0\1\44\1\45\1\0\1\46"+
    "\1\0\1\47\5\0\1\50\1\0\1\51\3\0\1\52"+
    "\1\0\1\53\3\0\1\44\1\45\1\0\1\46\1\0"+
    "\1\47\5\0\1\50\1\0\1\51\3\0\1\52\7\0"+
    "\1\54\3\0\1\36\1\37\5\0\1\40\1\41\1\42"+
    "\4\43\3\0\1\44\1\45\1\0\1\46\1\0\1\47"+
    "\5\0\1\50\1\0\1\51\3\0\1\52\1\0\1\53"+
    "\3\0\1\44\1\45\1\0\1\46\1\0\1\47\5\0"+
    "\1\50\1\0\1\51\3\0\1\52\120\0\1\36\1\37"+
    "\5\0\1\40\1\41\1\42\4\43\3\0\1\44\1\45"+
    "\1\0\1\46\1\0\1\47\3\0\1\55\1\0\1\50"+
    "\1\0\1\51\3\0\1\52\1\0\1\53\3\0\1\44"+
    "\1\45\1\0\1\46\1\0\1\47\3\0\1\55\1\0"+
    "\1\50\1\0\1\51\3\0\1\52\21\0\1\56\105\0"+
    "\7\16\111\0\1\57\26\0\1\57\57\0\1\60\26\0"+
    "\1\60\73\0\1\61\26\0\1\61\33\0\1\62\26\0"+
    "\1\62\61\0\1\63\26\0\1\63\55\0\1\64\26\0"+
    "\1\64\63\0\1\65\26\0\1\65\32\0\7\26\111\0"+
    "\1\66\26\0\1\66\57\0\1\67\26\0\1\67\73\0"+
    "\1\70\26\0\1\70\33\0\1\71\26\0\1\71\61\0"+
    "\1\72\26\0\1\72\55\0\1\73\26\0\1\73\63\0"+
    "\1\74\26\0\1\74\32\0\7\75\110\0\1\76\1\77"+
    "\1\0\1\100\1\0\1\101\7\0\1\102\3\0\1\103"+
    "\5\0\1\76\1\77\1\0\1\100\1\0\1\101\7\0"+
    "\1\102\3\0\1\103\6\0\3\104\1\0\1\105\4\0"+
    "\1\106\1\0\1\106\7\107\30\0\1\106\31\0\3\104"+
    "\1\0\1\105\4\0\1\106\1\0\1\106\5\107\1\110"+
    "\1\111\30\0\1\106\31\0\3\104\1\0\1\105\4\0"+
    "\1\106\1\0\1\106\1\112\6\107\30\0\1\106\31\0"+
    "\3\104\1\0\1\105\4\0\1\106\1\0\1\106\1\113"+
    "\6\107\30\0\1\106\60\0\1\52\26\0\1\52\57\0"+
    "\1\114\26\0\1\114\73\0\1\115\26\0\1\115\33\0"+
    "\1\116\26\0\1\116\30\0\3\117\1\0\1\120\1\36"+
    "\1\121\3\0\1\122\1\0\1\40\1\41\1\42\4\43"+
    "\3\0\1\123\1\124\1\0\1\125\1\0\1\126\5\0"+
    "\2\127\1\130\1\127\2\0\1\131\1\0\1\53\3\0"+
    "\1\123\1\124\1\0\1\125\1\0\1\126\5\0\2\127"+
    "\1\130\1\127\2\0\1\131\1\0\1\117\35\0\1\132"+
    "\26\0\1\132\55\0\1\133\26\0\1\133\63\0\1\134"+
    "\26\0\1\134\54\0\1\135\26\0\1\135\15\0\1\135"+
    "\40\0\1\136\26\0\1\136\45\0\1\137\1\0\1\140"+
    "\24\0\1\137\1\0\1\140\70\0\1\141\26\0\1\141"+
    "\46\0\1\64\26\0\1\64\14\0\1\64\50\0\1\142"+
    "\26\0\1\142\5\0\1\142\40\0\1\143\26\0\1\143"+
    "\15\0\1\143\30\0\1\144\1\0\1\145\24\0\1\144"+
    "\1\0\1\145\70\0\1\146\26\0\1\146\46\0\1\73"+
    "\26\0\1\73\14\0\1\73\50\0\1\147\26\0\1\147"+
    "\5\0\1\147\40\0\1\150\26\0\1\150\15\0\1\150"+
    "\15\0\7\151\111\0\1\103\26\0\1\103\57\0\1\152"+
    "\26\0\1\152\73\0\1\153\26\0\1\153\33\0\1\154"+
    "\26\0\1\154\61\0\1\155\26\0\1\155\55\0\1\156"+
    "\26\0\1\156\24\0\3\104\1\0\1\105\4\0\1\106"+
    "\1\0\1\106\37\0\1\106\72\0\1\157\26\0\1\157"+
    "\14\0\3\106\1\0\1\160\1\161\6\0\1\162\1\163"+
    "\1\164\4\162\62\0\3\165\1\0\1\166\4\0\1\167"+
    "\1\0\1\167\7\170\30\0\1\167\31\0\3\165\1\0"+
    "\1\166\4\0\1\167\1\0\1\167\4\170\3\171\30\0"+
    "\1\167\31\0\3\165\1\0\1\166\4\0\1\167\1\0"+
    "\1\167\7\172\30\0\1\167\31\0\3\165\1\0\1\166"+
    "\4\0\1\167\1\0\1\167\3\172\4\170\30\0\1\167"+
    "\31\0\3\165\1\0\1\166\4\0\1\167\1\0\1\167"+
    "\7\173\30\0\1\167\31\0\3\174\1\0\1\175\1\176"+
    "\1\0\1\177\1\200\1\201\1\0\1\201\1\202\1\203"+
    "\1\204\4\205\4\0\1\206\1\0\1\207\7\0\1\210"+
    "\11\0\1\201\2\0\1\206\1\0\1\207\7\0\1\210"+
    "\14\0\3\174\1\0\1\175\1\176\1\0\1\177\1\200"+
    "\1\201\1\0\1\201\1\202\1\203\1\204\4\205\16\0"+
    "\1\210\2\0\1\211\6\0\1\201\14\0\1\210\2\0"+
    "\1\211\46\0\1\133\26\0\1\133\14\0\1\133\3\0"+
    "\3\117\1\0\1\120\1\36\1\121\5\0\1\40\1\41"+
    "\1\42\4\43\3\0\1\123\1\124\1\0\1\125\1\0"+
    "\1\126\7\0\1\130\3\0\1\212\1\0\1\53\3\0"+
    "\1\123\1\124\1\0\1\125\1\0\1\126\7\0\1\130"+
    "\3\0\1\212\47\0\1\213\26\0\1\213\42\0\1\214"+
    "\1\215\1\0\1\216\1\0\1\217\7\0\1\220\3\0"+
    "\1\221\5\0\1\214\1\215\1\0\1\216\1\0\1\217"+
    "\7\0\1\220\3\0\1\221\6\0\3\117\1\0\1\120"+
    "\1\36\1\121\5\0\1\40\1\41\1\42\4\43\3\0"+
    "\1\123\1\124\1\0\1\125\1\0\1\126\7\0\1\130"+
    "\3\0\1\212\1\0\1\53\3\0\1\123\1\124\1\0"+
    "\1\125\1\0\1\126\7\0\1\130\3\0\1\212\1\0"+
    "\1\117\33\0\1\212\26\0\1\212\57\0\1\222\26\0"+
    "\1\222\73\0\1\223\26\0\1\223\33\0\1\224\26\0"+
    "\1\224\30\0\3\117\1\0\1\120\1\36\1\121\3\0"+
    "\1\117\1\0\1\40\1\41\1\42\4\43\3\0\1\123"+
    "\1\124\1\0\1\125\1\0\1\126\7\0\1\130\3\0"+
    "\1\212\1\0\1\53\3\0\1\123\1\124\1\0\1\125"+
    "\1\0\1\126\7\0\1\130\3\0\1\212\37\0\1\225"+
    "\26\0\1\225\55\0\1\226\6\0\1\227\17\0\1\226"+
    "\6\0\1\227\62\0\1\230\26\0\1\230\5\0\1\230"+
    "\2\0\3\174\1\0\1\175\1\176\1\0\1\177\1\200"+
    "\1\201\1\0\1\201\1\202\1\203\1\204\4\205\16\0"+
    "\1\210\11\0\1\201\14\0\1\210\52\0\1\231\26\0"+
    "\1\231\15\0\1\231\42\0\1\232\26\0\1\232\52\0"+
    "\1\233\26\0\1\233\15\0\1\233\26\0\1\64\26\0"+
    "\1\64\55\0\1\234\26\0\1\234\57\0\1\64\26\0"+
    "\1\64\67\0\1\235\26\0\1\235\41\0\1\73\26\0"+
    "\1\73\55\0\1\236\26\0\1\236\57\0\1\73\26\0"+
    "\1\73\67\0\1\237\26\0\1\237\14\0\3\151\1\0"+
    "\1\240\4\0\1\241\1\0\1\241\37\0\1\241\31\0"+
    "\3\242\1\0\1\243\1\176\1\0\1\177\1\200\1\244"+
    "\1\0\1\244\1\202\1\203\1\204\4\205\4\0\1\245"+
    "\1\0\1\246\7\0\1\210\11\0\1\244\2\0\1\245"+
    "\1\0\1\246\7\0\1\210\14\0\3\242\1\0\1\243"+
    "\1\176\1\0\1\177\1\200\1\244\1\0\1\244\1\202"+
    "\1\203\1\204\4\205\16\0\1\210\2\0\1\247\6\0"+
    "\1\244\14\0\1\210\2\0\1\247\46\0\1\156\26\0"+
    "\1\156\14\0\1\156\50\0\1\250\26\0\1\250\5\0"+
    "\1\250\2\0\3\242\1\0\1\243\1\176\1\0\1\177"+
    "\1\200\1\244\1\0\1\244\1\202\1\203\1\204\4\205"+
    "\16\0\1\210\11\0\1\244\14\0\1\210\42\0\1\251"+
    "\26\0\1\251\70\0\1\252\26\0\1\252\30\0\7\162"+
    "\76\0\7\253\76\0\5\253\1\254\1\255\76\0\1\256"+
    "\6\253\62\0\3\165\1\0\1\166\4\0\1\167\1\0"+
    "\1\167\37\0\1\167\72\0\1\257\26\0\1\257\14\0"+
    "\3\167\1\0\1\260\1\161\6\0\1\261\1\262\1\263"+
    "\4\261\3\0\1\264\1\265\1\0\1\266\1\0\1\267"+
    "\7\0\1\270\3\0\1\271\5\0\1\264\1\265\1\0"+
    "\1\266\1\0\1\267\7\0\1\270\3\0\1\271\6\0"+
    "\3\104\1\0\1\105\4\0\1\106\1\0\1\106\7\272"+
    "\30\0\1\106\31\0\3\104\1\0\1\105\4\0\1\106"+
    "\1\0\1\106\7\273\30\0\1\106\31\0\3\104\1\0"+
    "\1\105\4\0\1\106\1\0\1\106\7\274\30\0\1\106"+
    "\31\0\3\104\1\0\1\105\4\0\1\106\1\0\1\106"+
    "\7\275\30\0\1\106\31\0\3\174\1\0\1\175\1\176"+
    "\2\0\1\200\1\276\1\0\1\276\1\202\1\203\1\204"+
    "\4\205\3\0\1\277\1\300\1\0\1\301\1\0\1\302"+
    "\5\0\1\210\1\0\1\303\3\0\1\304\3\0\1\276"+
    "\1\0\1\277\1\300\1\0\1\301\1\0\1\302\5\0"+
    "\1\210\1\0\1\303\3\0\1\304\47\0\1\305\26\0"+
    "\1\305\30\0\7\306\62\0\3\177\1\0\1\307\1\176"+
    "\6\0\1\202\1\203\1\204\4\205\16\0\1\210\26\0"+
    "\1\210\14\0\3\200\1\0\1\310\3\0\1\200\15\0"+
    "\1\277\1\300\1\0\1\301\1\0\1\302\7\0\1\303"+
    "\3\0\1\304\5\0\1\277\1\300\1\0\1\301\1\0"+
    "\1\302\7\0\1\303\3\0\1\304\6\0\3\276\1\0"+
    "\1\311\1\312\6\0\1\313\1\314\1\315\4\316\3\0"+
    "\1\317\1\320\1\0\1\321\1\0\1\322\7\0\1\323"+
    "\3\0\1\324\5\0\1\317\1\320\1\0\1\321\1\0"+
    "\1\322\7\0\1\323\3\0\1\324\6\0\3\325\1\0"+
    "\1\326\4\0\1\327\1\0\1\327\7\330\26\0\1\331"+
    "\1\0\1\327\31\0\3\325\1\0\1\326\4\0\1\327"+
    "\1\0\1\327\5\330\1\332\1\333\26\0\1\331\1\0"+
    "\1\327\31\0\3\325\1\0\1\326\4\0\1\327\1\0"+
    "\1\327\1\334\6\330\26\0\1\331\1\0\1\327\31\0"+
    "\3\325\1\0\1\326\4\0\1\327\1\0\1\327\1\335"+
    "\6\330\26\0\1\331\1\0\1\327\56\0\1\133\26\0"+
    "\1\133\30\0\3\174\1\0\1\175\1\176\1\0\1\177"+
    "\1\200\1\201\1\0\1\201\1\202\1\203\1\204\4\205"+
    "\2\0\1\133\13\0\1\210\11\0\1\201\1\133\13\0"+
    "\1\210\14\0\3\336\1\0\1\337\1\176\4\0\1\340"+
    "\1\0\1\202\1\203\1\204\4\205\16\0\2\341\1\0"+
    "\1\341\2\0\1\342\20\0\2\341\1\0\1\341\2\0"+
    "\1\342\1\0\1\336\31\0\1\343\26\0\1\343\61\0"+
    "\1\226\26\0\1\226\52\0\1\344\26\0\1\344\56\0"+
    "\1\221\26\0\1\221\57\0\1\345\26\0\1\345\73\0"+
    "\1\346\26\0\1\346\33\0\1\347\26\0\1\347\61\0"+
    "\1\350\26\0\1\350\55\0\1\351\26\0\1\351\24\0"+
    "\3\352\1\0\1\353\2\0\1\354\1\355\1\356\1\0"+
    "\1\356\7\357\4\0\1\360\1\0\1\361\21\0\1\356"+
    "\2\0\1\360\1\0\1\361\24\0\3\352\1\0\1\353"+
    "\2\0\1\354\1\355\1\356\1\0\1\356\7\357\21\0"+
    "\1\362\6\0\1\356\17\0\1\362\46\0\1\226\26\0"+
    "\1\226\14\0\1\226\50\0\1\363\26\0\1\363\5\0"+
    "\1\363\2\0\3\352\1\0\1\353\2\0\1\354\1\355"+
    "\1\356\1\0\1\356\7\357\30\0\1\356\31\0\3\117"+
    "\1\0\1\120\1\36\1\121\3\0\1\117\1\0\1\40"+
    "\1\41\1\42\4\43\3\0\1\123\1\124\1\0\1\364"+
    "\1\0\1\126\7\0\1\130\3\0\1\212\1\0\1\53"+
    "\3\0\1\123\1\124\1\0\1\364\1\0\1\126\7\0"+
    "\1\130\3\0\1\212\35\0\1\133\26\0\1\133\67\0"+
    "\1\365\26\0\1\365\37\0\1\366\122\0\1\367\26\0"+
    "\1\367\62\0\1\370\26\0\1\370\32\0\1\371\127\0"+
    "\1\372\26\0\1\372\32\0\1\373\122\0\1\374\26\0"+
    "\1\374\14\0\3\241\1\0\1\375\7\0\7\261\3\0"+
    "\1\264\1\265\1\0\1\266\1\0\1\267\7\0\1\270"+
    "\3\0\1\271\5\0\1\264\1\265\1\0\1\266\1\0"+
    "\1\267\7\0\1\270\3\0\1\271\6\0\3\242\1\0"+
    "\1\243\1\176\2\0\1\200\3\0\1\202\1\203\1\204"+
    "\4\205\3\0\1\277\1\300\1\0\1\301\1\0\1\302"+
    "\5\0\1\210\1\0\1\303\3\0\1\304\5\0\1\277"+
    "\1\300\1\0\1\301\1\0\1\302\5\0\1\210\1\0"+
    "\1\303\3\0\1\304\47\0\1\376\26\0\1\376\42\0"+
    "\1\277\1\300\1\0\1\301\1\0\1\302\7\0\1\303"+
    "\3\0\1\304\5\0\1\277\1\300\1\0\1\301\1\0"+
    "\1\302\7\0\1\303\3\0\1\304\33\0\1\156\26\0"+
    "\1\156\30\0\3\242\1\0\1\243\1\176\1\0\1\177"+
    "\1\200\1\244\1\0\1\244\1\202\1\203\1\204\4\205"+
    "\2\0\1\156\13\0\1\210\11\0\1\244\1\156\13\0"+
    "\1\210\41\0\1\377\26\0\1\377\57\0\1\156\26\0"+
    "\1\156\73\0\1\u0100\26\0\1\u0100\5\0\1\u0100\30\0"+
    "\1\u0101\26\0\1\u0101\27\0\3\253\1\0\1\u0102\4\0"+
    "\1\u0103\1\0\1\u0103\37\0\1\u0103\31\0\3\253\1\0"+
    "\1\u0102\4\0\1\u0103\1\0\1\u0103\4\0\3\162\30\0"+
    "\1\u0103\31\0\3\253\1\0\1\u0102\4\0\1\u0103\1\0"+
    "\1\u0103\7\162\30\0\1\u0103\31\0\3\253\1\0\1\u0102"+
    "\4\0\1\u0103\1\0\1\u0103\3\162\34\0\1\u0103\57\0"+
    "\1\u0104\26\0\1\u0104\70\0\1\u0105\26\0\1\u0105\14\0"+
    "\3\u0106\1\0\1\u0107\4\0\1\u0108\1\0\1\u0108\7\261"+
    "\30\0\1\u0108\31\0\3\u0106\1\0\1\u0107\4\0\1\u0108"+
    "\1\0\1\u0108\6\261\1\u0109\30\0\1\u0108\31\0\3\u0106"+
    "\1\0\1\u0107\4\0\1\u0108\1\0\1\u0108\1\u010a\6\261"+
    "\30\0\1\u0108\60\0\1\271\26\0\1\271\57\0\1\u010b"+
    "\26\0\1\u010b\73\0\1\u010c\26\0\1\u010c\33\0\1\u010d"+
    "\26\0\1\u010d\61\0\1\u010e\26\0\1\u010e\55\0\1\u010f"+
    "\26\0\1\u010f\24\0\3\104\1\0\1\105\4\0\1\106"+
    "\1\0\1\106\7\u0110\30\0\1\106\31\0\3\u0111\1\0"+
    "\1\u0112\4\0\1\u0113\1\0\1\u0113\7\u0110\30\0\1\u0113"+
    "\31\0\3\u0114\1\0\1\u0115\4\0\1\u0116\1\0\1\u0116"+
    "\7\u0110\30\0\1\u0116\31\0\3\u0117\1\0\1\u0118\4\0"+
    "\1\u0119\1\0\1\u0119\7\u0110\30\0\1\u0119\31\0\3\276"+
    "\1\0\1\311\1\312\6\0\1\313\1\314\1\315\4\316"+
    "\111\0\1\304\26\0\1\304\57\0\1\u011a\26\0\1\u011a"+
    "\73\0\1\u011b\26\0\1\u011b\33\0\1\u011c\26\0\1\u011c"+
    "\61\0\1\u011d\26\0\1\u011d\55\0\1\u011e\26\0\1\u011e"+
    "\52\0\1\u011f\26\0\1\u011f\43\0\7\u0120\123\0\1\u0121"+
    "\26\0\1\u0121\55\0\1\u0122\26\0\1\u0122\55\0\1\u0123"+
    "\26\0\1\u0123\30\0\7\u0124\62\0\3\u0125\1\0\1\u0126"+
    "\4\0\1\327\1\0\1\327\7\u0127\30\0\1\327\31\0"+
    "\3\u0125\1\0\1\u0126\4\0\1\327\1\0\1\327\5\u0127"+
    "\1\u0128\1\u0129\30\0\1\327\31\0\3\u0125\1\0\1\u0126"+
    "\4\0\1\327\1\0\1\327\1\u012a\6\u0127\30\0\1\327"+
    "\31\0\3\u0125\1\0\1\u0126\4\0\1\327\1\0\1\327"+
    "\1\u012b\6\u0127\30\0\1\327\60\0\1\324\26\0\1\324"+
    "\57\0\1\u012c\26\0\1\u012c\73\0\1\u012d\26\0\1\u012d"+
    "\33\0\1\u012e\26\0\1\u012e\61\0\1\u012f\26\0\1\u012f"+
    "\55\0\1\u0130\26\0\1\u0130\24\0\3\325\1\0\1\326"+
    "\4\0\1\327\1\0\1\327\35\0\1\331\1\0\1\327"+
    "\72\0\1\u0131\26\0\1\u0131\14\0\3\327\1\0\1\u0132"+
    "\1\u0133\6\0\1\u0134\1\u0135\1\u0136\4\u0134\62\0\3\u0137"+
    "\1\0\1\u0138\4\0\1\u0139\1\0\1\u0139\7\u013a\26\0"+
    "\1\331\1\0\1\u0139\70\0\1\u013b\26\0\1\u013b\16\0"+
    "\3\u0137\1\0\1\u0138\4\0\1\u0139\1\0\1\u0139\4\u013a"+
    "\3\u013c\26\0\1\331\1\0\1\u0139\31\0\3\u0137\1\0"+
    "\1\u0138\4\0\1\u0139\1\0\1\u0139\7\u013d\26\0\1\331"+
    "\1\0\1\u0139\31\0\3\u0137\1\0\1\u0138\4\0\1\u0139"+
    "\1\0\1\u0139\3\u013d\4\u013a\26\0\1\331\1\0\1\u0139"+
    "\31\0\3\u0137\1\0\1\u0138\4\0\1\u0139\1\0\1\u0139"+
    "\7\u013e\26\0\1\331\1\0\1\u0139\31\0\3\336\1\0"+
    "\1\337\1\176\6\0\1\202\1\203\1\204\4\205\123\0"+
    "\1\u013f\26\0\1\u013f\14\0\3\336\1\0\1\337\1\176"+
    "\6\0\1\202\1\203\1\204\4\205\55\0\1\336\4\0"+
    "\3\336\1\0\1\337\1\176\4\0\1\336\1\0\1\202"+
    "\1\203\1\204\4\205\122\0\1\u0140\26\0\1\u0140\63\0"+
    "\1\u0141\26\0\1\u0141\54\0\1\u0142\26\0\1\u0142\5\0"+
    "\1\u0142\2\0\3\u0143\1\0\1\u0144\2\0\1\354\1\355"+
    "\1\u0145\1\0\1\u0145\7\357\4\0\1\u0146\1\0\1\u0147"+
    "\21\0\1\u0145\2\0\1\u0146\1\0\1\u0147\24\0\3\u0143"+
    "\1\0\1\u0144\2\0\1\354\1\355\1\u0145\1\0\1\u0145"+
    "\7\357\21\0\1\u0148\6\0\1\u0145\17\0\1\u0148\46\0"+
    "\1\351\26\0\1\351\14\0\1\351\50\0\1\u0149\26\0"+
    "\1\u0149\5\0\1\u0149\2\0\3\u0143\1\0\1\u0144\2\0"+
    "\1\354\1\355\1\u0145\1\0\1\u0145\7\357\30\0\1\u0145"+
    "\31\0\3\352\1\0\1\353\3\0\1\355\1\276\1\0"+
    "\1\276\7\357\3\0\1\u014a\1\u014b\1\0\1\u014c\1\0"+
    "\1\u014d\7\0\1\u014e\3\0\1\u014f\3\0\1\276\1\0"+
    "\1\u014a\1\u014b\1\0\1\u014c\1\0\1\u014d\7\0\1\u014e"+
    "\3\0\1\u014f\47\0\1\u0150\26\0\1\u0150\14\0\3\354"+
    "\1\0\1\u0151\7\0\7\357\62\0\3\355\1\0\1\u0152"+
    "\3\0\1\355\15\0\1\u014a\1\u014b\1\0\1\u014c\1\0"+
    "\1\u014d\7\0\1\u014e\3\0\1\u014f\5\0\1\u014a\1\u014b"+
    "\1\0\1\u014c\1\0\1\u014d\7\0\1\u014e\3\0\1\u014f"+
    "\6\0\3\276\1\0\1\311\1\312\6\0\1\313\1\314"+
    "\1\315\4\316\3\0\1\u0153\1\u0154\1\0\1\u0155\1\0"+
    "\1\u0156\7\0\1\u0157\3\0\1\u0158\5\0\1\u0153\1\u0154"+
    "\1\0\1\u0155\1\0\1\u0156\7\0\1\u0157\3\0\1\u0158"+
    "\6\0\3\u0159\1\0\1\u015a\7\0\7\357\26\0\1\331"+
    "\60\0\1\226\26\0\1\226\30\0\3\352\1\0\1\353"+
    "\2\0\1\354\1\355\1\356\1\0\1\356\7\357\2\0"+
    "\1\226\25\0\1\356\1\226\55\0\1\u015b\26\0\1\u015b"+
    "\57\0\1\226\26\0\1\226\72\0\1\u015c\2\0\1\223"+
    "\23\0\1\u015c\2\0\1\223\31\0\1\u015d\106\0\24\u015e"+
    "\2\0\1\u015e\73\0\1\u015f\26\0\1\u015f\40\0\24\u0160"+
    "\2\0\1\u0160\73\0\1\u0161\26\0\1\u0161\40\0\1\u0162"+
    "\3\u0160\1\u0163\5\u0160\1\u0164\11\u0160\2\0\1\u0160\1\u0165"+
    "\3\0\1\u0166\5\0\1\u0167\44\0\1\u0168\26\0\1\u0168"+
    "\70\0\1\u0169\26\0\1\u0169\42\0\1\u016a\26\0\1\u016a"+
    "\75\0\1\u016b\26\0\1\u016b\52\0\1\u016c\26\0\1\u016c"+
    "\57\0\1\u016d\26\0\1\u016d\5\0\1\u016d\43\0\1\u016e"+
    "\26\0\1\u016e\14\0\3\u0103\1\0\1\u016f\21\0\1\u0170"+
    "\1\u0171\1\0\1\u0172\1\0\1\u0173\7\0\1\u0174\3\0"+
    "\1\u0175\5\0\1\u0170\1\u0171\1\0\1\u0172\1\0\1\u0173"+
    "\7\0\1\u0174\3\0\1\u0175\53\0\1\u0176\26\0\1\u0176"+
    "\5\0\1\u0176\30\0\1\u0177\26\0\1\u0177\27\0\3\u0106"+
    "\1\0\1\u0107\4\0\1\u0108\1\0\1\u0108\37\0\1\u0108"+
    "\72\0\1\u0178\26\0\1\u0178\14\0\3\u0108\1\0\1\u0179"+
    "\21\0\1\u017a\1\u017b\1\0\1\u017c\1\0\1\u017d\7\0"+
    "\1\u017e\3\0\1\u017f\1\0\1\u0180\3\0\1\u017a\1\u017b"+
    "\1\0\1\u017c\1\0\1\u017d\7\0\1\u017e\3\0\1\u017f"+
    "\6\0\3\u0106\1\0\1\u0107\4\0\1\u0108\1\0\1\u0108"+
    "\7\u0181\30\0\1\u0108\31\0\3\u0106\1\0\1\u0107\4\0"+
    "\1\u0108\1\0\1\u0108\3\u0181\4\261\30\0\1\u0108\31\0"+
    "\3\u0182\1\0\1\u0183\4\0\1\u0184\1\0\1\u0184\13\0"+
    "\1\u0185\1\0\1\u0186\21\0\1\u0184\2\0\1\u0185\1\0"+
    "\1\u0186\24\0\3\u0182\1\0\1\u0183\4\0\1\u0184\1\0"+
    "\1\u0184\30\0\1\u0187\6\0\1\u0184\17\0\1\u0187\46\0"+
    "\1\u010f\26\0\1\u010f\14\0\1\u010f\50\0\1\u0188\26\0"+
    "\1\u0188\5\0\1\u0188\2\0\3\u0182\1\0\1\u0183\4\0"+
    "\1\u0184\1\0\1\u0184\37\0\1\u0184\31\0\3\104\1\0"+
    "\1\105\4\0\1\106\1\0\1\106\7\u0189\30\0\1\106"+
    "\31\0\3\u0111\1\0\1\u0112\4\0\1\u0113\1\0\1\u0113"+
    "\37\0\1\u0113\72\0\1\u018a\26\0\1\u018a\14\0\3\u0113"+
    "\1\0\1\u018b\1\161\6\0\1\u0181\1\u018c\1\u018d\4\u0181"+
    "\3\0\1\264\1\265\1\0\1\266\1\0\1\267\7\0"+
    "\1\270\3\0\1\271\5\0\1\264\1\265\1\0\1\266"+
    "\1\0\1\267\7\0\1\270\3\0\1\271\6\0\3\u0114"+
    "\1\0\1\u0115\4\0\1\u0116\1\0\1\u0116\37\0\1\u0116"+
    "\72\0\1\u018e\26\0\1\u018e\14\0\3\u0116\1\0\1\u018f"+
    "\1\161\6\0\7\261\3\0\1\264\1\265\1\0\1\266"+
    "\1\0\1\267\7\0\1\270\3\0\1\271\5\0\1\264"+
    "\1\265\1\0\1\266\1\0\1\267\7\0\1\270\3\0"+
    "\1\271\6\0\3\u0117\1\0\1\u0118\4\0\1\u0119\1\0"+
    "\1\u0119\37\0\1\u0119\72\0\1\u0190\26\0\1\u0190\14\0"+
    "\3\u0119\1\0\1\u0191\1\161\77\0\3\u0192\1\0\1\u0193"+
    "\1\176\1\0\1\177\1\u0194\1\u0195\1\0\1\u0195\1\202"+
    "\1\203\1\204\4\205\4\0\1\u0196\1\0\1\u0197\7\0"+
    "\1\210\11\0\1\u0195\2\0\1\u0196\1\0\1\u0197\7\0"+
    "\1\210\14\0\3\u0192\1\0\1\u0193\1\176\1\0\1\177"+
    "\1\u0194\1\u0195\1\0\1\u0195\1\202\1\203\1\204\4\205"+
    "\16\0\1\210\2\0\1\u0198\6\0\1\u0195\14\0\1\210"+
    "\2\0\1\u0198\46\0\1\u011e\26\0\1\u011e\14\0\1\u011e"+
    "\50\0\1\u0199\26\0\1\u0199\5\0\1\u0199\2\0\3\u0192"+
    "\1\0\1\u0193\1\176\1\0\1\177\1\u0194\1\u0195\1\0"+
    "\1\u0195\1\202\1\203\1\204\4\205\16\0\1\210\11\0"+
    "\1\u0195\14\0\1\210\61\0\1\u019a\26\0\1\u019a\5\0"+
    "\1\u019a\2\0\3\u0120\1\0\1\u019b\4\0\1\u0139\1\0"+
    "\1\u0139\37\0\1\u0139\57\0\1\u019c\26\0\1\u019c\55\0"+
    "\1\u019d\26\0\1\u019d\55\0\1\u019e\26\0\1\u019e\43\0"+
    "\7\u019f\62\0\3\u0125\1\0\1\u0126\4\0\1\327\1\0"+
    "\1\327\37\0\1\327\72\0\1\u01a0\26\0\1\u01a0\14\0"+
    "\3\u01a1\1\0\1\u01a2\4\0\1\u01a3\1\0\1\u01a3\7\u01a4"+
    "\30\0\1\u01a3\31\0\3\u01a1\1\0\1\u01a2\4\0\1\u01a3"+
    "\1\0\1\u01a3\4\u01a4\3\u01a5\30\0\1\u01a3\31\0\3\u01a1"+
    "\1\0\1\u01a2\4\0\1\u01a3\1\0\1\u01a3\7\u01a6\30\0"+
    "\1\u01a3\31\0\3\u01a1\1\0\1\u01a2\4\0\1\u01a3\1\0"+
    "\1\u01a3\3\u01a6\4\u01a4\30\0\1\u01a3\31\0\3\u01a1\1\0"+
    "\1\u01a2\4\0\1\u01a3\1\0\1\u01a3\7\u01a7\30\0\1\u01a3"+
    "\31\0\3\u01a8\1\0\1\u01a9\1\176\1\0\1\177\1\u0194"+
    "\1\u01aa\1\0\1\u01aa\1\202\1\203\1\204\4\205\4\0"+
    "\1\u01ab\1\0\1\u01ac\7\0\1\210\11\0\1\u01aa\2\0"+
    "\1\u01ab\1\0\1\u01ac\7\0\1\210\14\0\3\u01a8\1\0"+
    "\1\u01a9\1\176\1\0\1\177\1\u0194\1\u01aa\1\0\1\u01aa"+
    "\1\202\1\203\1\204\4\205\16\0\1\210\2\0\1\u01ad"+
    "\6\0\1\u01aa\14\0\1\210\2\0\1\u01ad\46\0\1\u0130"+
    "\26\0\1\u0130\14\0\1\u0130\50\0\1\u01ae\26\0\1\u01ae"+
    "\5\0\1\u01ae\2\0\3\u01a8\1\0\1\u01a9\1\176\1\0"+
    "\1\177\1\u0194\1\u01aa\1\0\1\u01aa\1\202\1\203\1\204"+
    "\4\205\16\0\1\210\11\0\1\u01aa\14\0\1\210\42\0"+
    "\1\u01af\26\0\1\u01af\70\0\1\u01b0\26\0\1\u01b0\30\0"+
    "\7\u0134\76\0\7\u01b1\76\0\5\u01b1\1\u01b2\1\u01b3\76\0"+
    "\1\u01b4\6\u01b1\62\0\3\u0137\1\0\1\u0138\4\0\1\u0139"+
    "\1\0\1\u0139\35\0\1\331\1\0\1\u0139\72\0\1\u01b5"+
    "\26\0\1\u01b5\14\0\3\u0139\1\0\1\u01b6\1\u01b7\6\0"+
    "\3\u01b8\4\u01b9\62\0\3\325\1\0\1\326\4\0\1\327"+
    "\1\0\1\327\7\u01ba\26\0\1\331\1\0\1\327\67\0"+
    "\1\u01bb\26\0\1\u01bb\15\0\1\u01bb\1\0\3\325\1\0"+
    "\1\326\4\0\1\327\1\0\1\327\7\u01bc\26\0\1\331"+
    "\1\0\1\327\31\0\3\325\1\0\1\326\4\0\1\327"+
    "\1\0\1\327\7\u01bd\26\0\1\331\1\0\1\327\31\0"+
    "\3\325\1\0\1\326\4\0\1\327\1\0\1\327\7\u01be"+
    "\26\0\1\331\1\0\1\327\57\0\1\u01bf\26\0\1\u01bf"+
    "\27\0\3\336\1\0\1\337\1\176\4\0\1\336\1\0"+
    "\1\202\1\203\1\204\4\205\6\0\1\u01c0\26\0\1\u01c0"+
    "\66\0\1\u01c1\26\0\1\u01c1\56\0\1\u01c2\26\0\1\u01c2"+
    "\12\0\3\u0143\1\0\1\u0144\3\0\1\355\3\0\7\357"+
    "\3\0\1\u014a\1\u014b\1\0\1\u014c\1\0\1\u014d\7\0"+
    "\1\u014e\3\0\1\u014f\5\0\1\u014a\1\u014b\1\0\1\u014c"+
    "\1\0\1\u014d\7\0\1\u014e\3\0\1\u014f\47\0\1\u01c3"+
    "\26\0\1\u01c3\42\0\1\u014a\1\u014b\1\0\1\u014c\1\0"+
    "\1\u014d\7\0\1\u014e\3\0\1\u014f\5\0\1\u014a\1\u014b"+
    "\1\0\1\u014c\1\0\1\u014d\7\0\1\u014e\3\0\1\u014f"+
    "\33\0\1\351\26\0\1\351\30\0\3\u0143\1\0\1\u0144"+
    "\2\0\1\354\1\355\1\u0145\1\0\1\u0145\7\357\2\0"+
    "\1\351\25\0\1\u0145\1\351\55\0\1\u01c4\26\0\1\u01c4"+
    "\57\0\1\351\26\0\1\351\55\0\1\u014f\26\0\1\u014f"+
    "\57\0\1\u01c5\26\0\1\u01c5\73\0\1\u01c6\26\0\1\u01c6"+
    "\33\0\1\u01c7\26\0\1\u01c7\61\0\1\u01c8\26\0\1\u01c8"+
    "\55\0\1\u01c9\26\0\1\u01c9\52\0\1\u01ca\26\0\1\u01ca"+
    "\70\0\1\u01cb\26\0\1\u01cb\55\0\1\u01cc\26\0\1\u01cc"+
    "\43\0\1\u0158\26\0\1\u0158\57\0\1\u01cd\26\0\1\u01cd"+
    "\73\0\1\u01ce\26\0\1\u01ce\33\0\1\u01cf\26\0\1\u01cf"+
    "\61\0\1\u01d0\26\0\1\u01d0\55\0\1\u01d1\26\0\1\u01d1"+
    "\24\0\3\u0159\1\0\1\u015a\44\0\1\331\74\0\1\u01d2"+
    "\26\0\1\u01d2\62\0\1\u01d3\26\0\1\u01d3\44\0\1\117"+
    "\4\0\1\117\21\0\1\117\4\0\1\117\7\0\1\117"+
    "\30\0\1\u01d4\3\0\1\u01d5\5\0\1\u01d6\14\0\1\u01d4"+
    "\3\0\1\u01d5\5\0\1\u01d6\41\0\1\u01d7\1\0\24\u015e"+
    "\2\0\1\u015e\71\0\1\64\26\0\1\64\40\0\1\u01d8"+
    "\1\0\24\u0160\2\0\1\u0160\71\0\1\73\26\0\1\73"+
    "\40\0\1\u01d8\1\0\22\u0160\1\u01d9\1\u0160\2\0\1\u0160"+
    "\22\0\1\u01da\31\0\1\u01d8\1\0\22\u0160\1\u01db\1\u0160"+
    "\2\0\1\u0160\22\0\1\u01dc\31\0\1\u01d8\1\0\4\u0160"+
    "\1\u01dd\17\u0160\2\0\1\u0160\4\0\1\u01de\73\0\1\u01da"+
    "\26\0\1\u01da\55\0\1\u01dc\26\0\1\u01dc\37\0\1\u01de"+
    "\26\0\1\u01de\71\0\1\u01df\26\0\1\u01df\5\0\1\u01df"+
    "\30\0\1\u01e0\26\0\1\u01e0\74\0\1\u01e1\26\0\1\u01e1"+
    "\5\0\1\u01e1\44\0\1\u01e2\26\0\1\u01e2\37\0\1\104"+
    "\123\0\1\u01e3\26\0\1\u01e3\40\0\1\u01e4\26\0\1\u01e4"+
    "\70\0\1\u01e5\26\0\1\u01e5\43\0\1\u0175\26\0\1\u0175"+
    "\57\0\1\u01e6\26\0\1\u01e6\73\0\1\u01e7\26\0\1\u01e7"+
    "\33\0\1\u01e8\26\0\1\u01e8\61\0\1\u01e9\26\0\1\u01e9"+
    "\55\0\1\u01ea\26\0\1\u01ea\67\0\1\u01eb\26\0\1\u01eb"+
    "\57\0\1\u01ec\26\0\1\u01ec\5\0\1\u01ec\30\0\1\u01ed"+
    "\26\0\1\u01ed\70\0\1\u01ee\26\0\1\u01ee\43\0\1\u017f"+
    "\26\0\1\u017f\57\0\1\u01ef\26\0\1\u01ef\73\0\1\u01f0"+
    "\26\0\1\u01f0\33\0\1\u01f1\26\0\1\u01f1\61\0\1\u01f2"+
    "\26\0\1\u01f2\55\0\1\u01f3\26\0\1\u01f3\63\0\1\u01f4"+
    "\26\0\1\u01f4\16\0\3\u0106\1\0\1\u0107\4\0\1\u0108"+
    "\1\0\1\u0108\7\u01f5\30\0\1\u0108\31\0\3\u0182\1\0"+
    "\1\u0183\4\0\1\u01f6\1\0\1\u01f6\37\0\1\u01f6\72\0"+
    "\1\u01f7\26\0\1\u01f7\14\0\3\u01f6\1\0\1\u01f8\7\0"+
    "\7\u01f9\3\0\1\u01fa\1\u01fb\1\0\1\u01fc\1\0\1\u01fd"+
    "\7\0\1\u01fe\3\0\1\u01ff\5\0\1\u01fa\1\u01fb\1\0"+
    "\1\u01fc\1\0\1\u01fd\7\0\1\u01fe\3\0\1\u01ff\33\0"+
    "\1\u010f\26\0\1\u010f\30\0\3\u0182\1\0\1\u0183\4\0"+
    "\1\u0184\1\0\1\u0184\11\0\1\u010f\25\0\1\u0184\1\u010f"+
    "\55\0\1\u0200\26\0\1\u0200\57\0\1\u010f\26\0\1\u010f"+
    "\26\0\3\104\1\0\1\105\4\0\1\106\1\0\1\106"+
    "\7\u0201\30\0\1\106\57\0\1\u0202\26\0\1\u0202\70\0"+
    "\1\u0203\26\0\1\u0203\14\0\3\u0106\1\0\1\u0107\4\0"+
    "\1\u0108\1\0\1\u0108\5\u01f5\1\u0204\1\u0205\30\0\1\u0108"+
    "\31\0\3\u0106\1\0\1\u0107\4\0\1\u0108\1\0\1\u0108"+
    "\1\u0206\6\u01f5\30\0\1\u0108\57\0\1\u0207\26\0\1\u0207"+
    "\70\0\1\u0208\26\0\1\u0208\42\0\1\u0209\26\0\1\u0209"+
    "\70\0\1\u020a\26\0\1\u020a\14\0\3\u0192\1\0\1\u0193"+
    "\1\176\2\0\1\u0194\3\0\1\202\1\203\1\204\4\205"+
    "\3\0\1\u020b\1\u020c\1\0\1\u020d\1\0\1\u020e\5\0"+
    "\1\210\1\0\1\u020f\3\0\1\u0210\5\0\1\u020b\1\u020c"+
    "\1\0\1\u020d\1\0\1\u020e\5\0\1\210\1\0\1\u020f"+
    "\3\0\1\u0210\47\0\1\u0211\26\0\1\u0211\14\0\3\u0194"+
    "\1\0\1\u0212\3\0\1\u0194\15\0\1\u020b\1\u020c\1\0"+
    "\1\u020d\1\0\1\u020e\7\0\1\u020f\3\0\1\u0210\5\0"+
    "\1\u020b\1\u020c\1\0\1\u020d\1\0\1\u020e\7\0\1\u020f"+
    "\3\0\1\u0210\34\0\1\u020b\1\u020c\1\0\1\u020d\1\0"+
    "\1\u020e\7\0\1\u020f\3\0\1\u0210\5\0\1\u020b\1\u020c"+
    "\1\0\1\u020d\1\0\1\u020e\7\0\1\u020f\3\0\1\u0210"+
    "\33\0\1\u011e\26\0\1\u011e\30\0\3\u0192\1\0\1\u0193"+
    "\1\176\1\0\1\177\1\u0194\1\u0195\1\0\1\u0195\1\202"+
    "\1\203\1\204\4\205\2\0\1\u011e\13\0\1\210\11\0"+
    "\1\u0195\1\u011e\13\0\1\210\41\0\1\u0213\26\0\1\u0213"+
    "\57\0\1\u011e\26\0\1\u011e\71\0\1\u0214\26\0\1\u0214"+
    "\53\0\1\u0215\26\0\1\u0215\61\0\1\u0216\26\0\1\u0216"+
    "\5\0\1\u0216\47\0\1\u0217\26\0\1\u0217\5\0\1\u0217"+
    "\47\0\1\u0218\26\0\1\u0218\5\0\1\u0218\2\0\3\u019f"+
    "\1\0\1\u0219\4\0\1\u021a\1\0\1\u021a\37\0\1\u021a"+
    "\57\0\1\u021b\26\0\1\u021b\27\0\3\u01a1\1\0\1\u01a2"+
    "\4\0\1\u01a3\1\0\1\u01a3\37\0\1\u01a3\72\0\1\u021c"+
    "\26\0\1\u021c\14\0\3\u01a3\1\0\1\u021d\1\u0133\6\0"+
    "\1\u021e\1\u021f\1\u0220\4\u021e\62\0\3\u0125\1\0\1\u0126"+
    "\4\0\1\327\1\0\1\327\7\u0221\30\0\1\327\31\0"+
    "\3\u0125\1\0\1\u0126\4\0\1\327\1\0\1\327\7\u0222"+
    "\30\0\1\327\31\0\3\u0125\1\0\1\u0126\4\0\1\327"+
    "\1\0\1\327\7\u0223\30\0\1\327\31\0\3\u0125\1\0"+
    "\1\u0126\4\0\1\327\1\0\1\327\7\u0224\30\0\1\327"+
    "\31\0\3\u01a8\1\0\1\u01a9\1\176\2\0\1\u0194\1\276"+
    "\1\0\1\276\1\202\1\203\1\204\4\205\3\0\1\u020b"+
    "\1\u020c\1\0\1\u020d\1\0\1\u020e\5\0\1\210\1\0"+
    "\1\u020f\3\0\1\u0210\3\0\1\276\1\0\1\u020b\1\u020c"+
    "\1\0\1\u020d\1\0\1\u020e\5\0\1\210\1\0\1\u020f"+
    "\3\0\1\u0210\47\0\1\u0225\26\0\1\u0225\14\0\3\276"+
    "\1\0\1\311\1\312\6\0\1\313\1\314\1\315\4\316"+
    "\3\0\1\u0226\1\u0227\1\0\1\u0228\1\0\1\u0229\7\0"+
    "\1\u022a\3\0\1\u022b\5\0\1\u0226\1\u0227\1\0\1\u0228"+
    "\1\0\1\u0229\7\0\1\u022a\3\0\1\u022b\33\0\1\u0130"+
    "\26\0\1\u0130\30\0\3\u01a8\1\0\1\u01a9\1\176\1\0"+
    "\1\177\1\u0194\1\u01aa\1\0\1\u01aa\1\202\1\203\1\204"+
    "\4\205\2\0\1\u0130\13\0\1\210\11\0\1\u01aa\1\u0130"+
    "\13\0\1\210\41\0\1\u022c\26\0\1\u022c\57\0\1\u0130"+
    "\26\0\1\u0130\73\0\1\u022d\26\0\1\u022d\5\0\1\u022d"+
    "\30\0\1\u022e\26\0\1\u022e\26\0\3\u022f\1\u0230\11\u022f"+
    "\7\0\64\u022f\1\u0230\11\u022f\4\0\3\u0134\64\u022f\1\u0230"+
    "\11\u022f\7\u0134\64\u022f\1\u0230\11\u022f\3\u0134\4\0\61\u022f"+
    "\27\0\1\u0231\26\0\1\u0231\70\0\1\u0232\26\0\1\u0232"+
    "\30\0\7\u0233\61\0\3\u0234\1\u0235\11\u0234\7\u0236\64\u0234"+
    "\1\u0235\11\u0234\1\u0237\6\u0236\61\u0234\1\0\3\325\1\0"+
    "\1\326\4\0\1\327\1\0\1\327\7\u0238\26\0\1\331"+
    "\1\0\1\327\72\0\1\u0239\26\0\1\u0239\14\0\3\u023a"+
    "\1\0\1\u023b\4\0\1\u023c\1\0\1\u023c\7\u0238\26\0"+
    "\1\331\1\0\1\u023c\31\0\3\u0137\1\0\1\u0138\4\0"+
    "\1\u0139\1\0\1\u0139\7\u0238\26\0\1\331\1\0\1\u0139"+
    "\31\0\3\u0159\1\0\1\u015a\7\0\7\u0238\26\0\1\331"+
    "\100\0\1\u023d\26\0\1\u023d\5\0\1\u023d\46\0\1\u023e"+
    "\26\0\1\u023e\51\0\1\133\26\0\1\133\41\0\1\117"+
    "\106\0\1\u023f\26\0\1\u023f\75\0\1\u0240\26\0\1\u0240"+
    "\7\0\3\u0241\1\0\1\u0242\2\0\1\354\1\u0243\1\u0244"+
    "\1\0\1\u0244\7\357\4\0\1\u0245\1\0\1\u0246\21\0"+
    "\1\u0244\2\0\1\u0245\1\0\1\u0246\24\0\3\u0241\1\0"+
    "\1\u0242\2\0\1\354\1\u0243\1\u0244\1\0\1\u0244\7\357"+
    "\21\0\1\u0247\6\0\1\u0244\17\0\1\u0247\46\0\1\u01c9"+
    "\26\0\1\u01c9\14\0\1\u01c9\50\0\1\u0248\26\0\1\u0248"+
    "\5\0\1\u0248\2\0\3\u0241\1\0\1\u0242\2\0\1\354"+
    "\1\u0243\1\u0244\1\0\1\u0244\7\357\30\0\1\u0244\76\0"+
    "\1\u0249\26\0\1\u0249\5\0\1\u0249\30\0\1\u024a\26\0"+
    "\1\u024a\55\0\1\u024b\26\0\1\u024b\27\0\3\u024c\1\0"+
    "\1\u024d\2\0\1\354\1\u0243\1\u024e\1\0\1\u024e\7\357"+
    "\4\0\1\u024f\1\0\1\u0250\21\0\1\u024e\2\0\1\u024f"+
    "\1\0\1\u0250\24\0\3\u024c\1\0\1\u024d\2\0\1\354"+
    "\1\u0243\1\u024e\1\0\1\u024e\7\357\21\0\1\u0251\6\0"+
    "\1\u024e\17\0\1\u0251\46\0\1\u01d1\26\0\1\u01d1\14\0"+
    "\1\u01d1\50\0\1\u0252\26\0\1\u0252\5\0\1\u0252\2\0"+
    "\3\u024c\1\0\1\u024d\2\0\1\354\1\u0243\1\u024e\1\0"+
    "\1\u024e\7\357\30\0\1\u024e\57\0\1\u0253\26\0\1\u0253"+
    "\71\0\1\u0254\26\0\1\u0254\62\0\1\u0255\26\0\1\u0255"+
    "\55\0\1\u0256\26\0\1\u0256\37\0\1\u0257\26\0\1\u0257"+
    "\23\0\2\u01d7\3\0\17\u01d7\1\u0258\25\u01d7\2\0\31\u01d7"+
    "\2\u01d8\3\0\17\u01d8\1\u0259\25\u01d8\2\0\31\u01d8\24\0"+
    "\1\u01d8\1\0\21\u0160\1\u025a\2\u0160\2\0\1\u0160\21\0"+
    "\1\u025b\55\0\1\u025b\26\0\1\u025b\32\0\1\u01d8\1\0"+
    "\24\u0160\2\0\1\u025c\104\0\1\u025d\54\0\1\u01d8\1\0"+
    "\6\u0160\1\u025e\15\u0160\2\0\1\u0160\6\0\1\u025f\55\0"+
    "\1\u025f\26\0\1\u025f\65\0\1\u0260\26\0\1\u0260\57\0"+
    "\1\u0261\26\0\1\u0261\5\0\1\u0261\45\0\1\u0262\26\0"+
    "\1\u0262\52\0\1\156\26\0\1\156\41\0\1\106\125\0"+
    "\1\u0263\26\0\1\u0263\5\0\1\u0263\30\0\1\u0264\26\0"+
    "\1\u0264\26\0\3\u022f\1\u0230\6\u022f\1\u0265\1\u022f\1\u0265"+
    "\7\0\2\u022f\2\0\1\u0266\1\0\1\u0267\17\0\2\u022f"+
    "\1\u0265\2\0\1\u0266\1\0\1\u0267\17\0\7\u022f\1\u0230"+
    "\6\u022f\1\u0265\1\u022f\1\u0265\7\0\2\u022f\17\0\1\u0268"+
    "\4\0\2\u022f\1\u0265\17\0\1\u0268\4\0\4\u022f\36\0"+
    "\1\u01ea\26\0\1\u01ea\14\0\1\u01ea\50\0\1\u0269\26\0"+
    "\1\u0269\5\0\1\u0269\1\0\3\u022f\1\u0230\6\u022f\1\u0265"+
    "\1\u022f\1\u0265\7\0\2\u022f\24\0\2\u022f\1\u0265\24\0"+
    "\4\u022f\25\0\1\165\123\0\1\u026a\26\0\1\u026a\57\0"+
    "\1\u026b\26\0\1\u026b\5\0\1\u026b\30\0\1\u026c\26\0"+
    "\1\u026c\26\0\3\u0234\1\u0235\6\u0234\1\u026d\1\u0234\1\u026d"+
    "\7\0\2\u0234\2\0\1\u026e\1\0\1\u026f\17\0\2\u0234"+
    "\1\u026d\2\0\1\u026e\1\0\1\u026f\17\0\7\u0234\1\u0235"+
    "\6\u0234\1\u026d\1\u0234\1\u026d\7\0\2\u0234\17\0\1\u0270"+
    "\4\0\2\u0234\1\u026d\17\0\1\u0270\4\0\4\u0234\36\0"+
    "\1\u01f3\26\0\1\u01f3\14\0\1\u01f3\50\0\1\u0271\26\0"+
    "\1\u0271\5\0\1\u0271\1\0\3\u0234\1\u0235\6\u0234\1\u026d"+
    "\1\u0234\1\u026d\7\0\2\u0234\24\0\2\u0234\1\u026d\24\0"+
    "\4\u0234\37\0\1\u0272\26\0\1\u0272\15\0\1\u0272\1\0"+
    "\3\u0273\1\0\1\u0274\4\0\1\u0275\1\0\1\u0275\7\261"+
    "\30\0\1\u0275\31\0\3\u01f6\1\0\1\u01f8\7\0\7\u01f9"+
    "\110\0\1\u0276\26\0\1\u0276\70\0\1\u0277\26\0\1\u0277"+
    "\13\0\3\u0234\1\u0235\11\u0234\7\u01f9\2\u0234\24\0\3\u0234"+
    "\24\0\4\u0234\30\0\1\u01ff\26\0\1\u01ff\57\0\1\u0278"+
    "\26\0\1\u0278\73\0\1\u0279\26\0\1\u0279\33\0\1\u027a"+
    "\26\0\1\u027a\61\0\1\u027b\26\0\1\u027b\55\0\1\u027c"+
    "\26\0\1\u027c\72\0\1\u027d\26\0\1\u027d\7\0\3\104"+
    "\1\0\1\105\4\0\1\106\1\0\1\106\7\u027e\30\0"+
    "\1\106\76\0\1\u027f\26\0\1\u027f\5\0\1\u027f\30\0"+
    "\1\u0280\26\0\1\u0280\27\0\3\u0273\1\0\1\u0274\4\0"+
    "\1\u0275\1\0\1\u0275\4\261\3\u0181\30\0\1\u0275\31\0"+
    "\3\u0273\1\0\1\u0274\4\0\1\u0275\1\0\1\u0275\7\u0181"+
    "\30\0\1\u0275\31\0\3\u0273\1\0\1\u0274\4\0\1\u0275"+
    "\1\0\1\u0275\3\u0181\4\261\30\0\1\u0275\76\0\1\u0281"+
    "\26\0\1\u0281\5\0\1\u0281\30\0\1\u0282\26\0\1\u0282"+
    "\74\0\1\u0283\26\0\1\u0283\5\0\1\u0283\30\0\1\u0284"+
    "\26\0\1\u0284\56\0\1\u0210\26\0\1\u0210\57\0\1\u0285"+
    "\26\0\1\u0285\73\0\1\u0286\26\0\1\u0286\33\0\1\u0287"+
    "\26\0\1\u0287\61\0\1\u0288\26\0\1\u0288\55\0\1\u0289"+
    "\26\0\1\u0289\52\0\1\u028a\26\0\1\u028a\70\0\1\u028b"+
    "\26\0\1\u028b\62\0\1\u028c\26\0\1\u028c\33\0\1\174"+
    "\106\0\1\u028d\26\0\1\u028d\72\0\1\u028e\26\0\1\u028e"+
    "\55\0\1\u028f\26\0\1\u028f\55\0\1\u0290\26\0\1\u0290"+
    "\53\0\1\u0291\26\0\1\u0291\14\0\3\u021a\1\0\1\u0292"+
    "\7\0\7\u021e\127\0\1\u0293\26\0\1\u0293\5\0\1\u0293"+
    "\30\0\1\u0294\26\0\1\u0294\70\0\1\u0295\26\0\1\u0295"+
    "\13\0\3\u0234\1\u0235\11\u0234\7\u021e\64\u0234\1\u0235\11\u0234"+
    "\6\u021e\1\u0296\64\u0234\1\u0235\11\u0234\1\u0297\6\u021e\61\u0234"+
    "\1\0\3\u0125\1\0\1\u0126\4\0\1\327\1\0\1\327"+
    "\7\u0298\30\0\1\327\31\0\3\u0299\1\0\1\u029a\4\0"+
    "\1\u029b\1\0\1\u029b\7\u0298\30\0\1\u029b\31\0\3\u029c"+
    "\1\0\1\u029d\4\0\1\u029e\1\0\1\u029e\7\u0298\30\0"+
    "\1\u029e\31\0\3\u029f\1\0\1\u02a0\4\0\1\u02a1\1\0"+
    "\1\u02a1\7\u0298\30\0\1\u02a1\57\0\1\u02a2\26\0\1\u02a2"+
    "\56\0\1\u022b\26\0\1\u022b\57\0\1\u02a3\26\0\1\u02a3"+
    "\73\0\1\u02a4\26\0\1\u02a4\33\0\1\u02a5\26\0\1\u02a5"+
    "\61\0\1\u02a6\26\0\1\u02a6\55\0\1\u02a7\26\0\1\u02a7"+
    "\72\0\1\u02a8\26\0\1\u02a8\52\0\1\u02a9\26\0\1\u02a9"+
    "\57\0\1\u02aa\26\0\1\u02aa\5\0\1\u02aa\3\0\1\u022f"+
    "\150\0\1\u02ab\26\0\1\u02ab\5\0\1\u02ab\30\0\1\u02ac"+
    "\26\0\1\u02ac\43\0\7\u02ad\63\0\1\u0234\102\0\3\u0234"+
    "\1\u0235\11\u0234\7\u02ae\64\u0234\1\u0235\11\u0234\7\u02af\61\u0234"+
    "\1\0\3\325\1\0\1\326\4\0\1\327\1\0\1\327"+
    "\7\u02b0\26\0\1\331\1\0\1\327\54\0\1\u02b1\61\0"+
    "\3\u023a\1\0\1\u023b\4\0\1\u023c\1\0\1\u023c\35\0"+
    "\1\331\1\0\1\u023c\72\0\1\u02b2\26\0\1\u02b2\14\0"+
    "\3\u023c\1\0\1\u02b3\1\u0133\6\0\1\u02b4\1\u02b5\1\u02b6"+
    "\4\u02b7\125\0\1\u02b8\26\0\1\u02b8\47\0\1\336\4\0"+
    "\1\336\21\0\1\336\4\0\1\336\7\0\1\336\50\0"+
    "\1\u02b9\26\0\1\u02b9\5\0\1\u02b9\44\0\1\u02ba\26\0"+
    "\1\u02ba\13\0\3\u0241\1\0\1\u0242\3\0\1\u0243\3\0"+
    "\7\357\3\0\1\u02bb\1\u02bc\1\0\1\u02bd\1\0\1\u02be"+
    "\7\0\1\u02bf\3\0\1\u02c0\5\0\1\u02bb\1\u02bc\1\0"+
    "\1\u02bd\1\0\1\u02be\7\0\1\u02bf\3\0\1\u02c0\47\0"+
    "\1\u02c1\26\0\1\u02c1\14\0\3\u0243\1\0\1\u02c2\3\0"+
    "\1\u0243\15\0\1\u02bb\1\u02bc\1\0\1\u02bd\1\0\1\u02be"+
    "\7\0\1\u02bf\3\0\1\u02c0\5\0\1\u02bb\1\u02bc\1\0"+
    "\1\u02bd\1\0\1\u02be\7\0\1\u02bf\3\0\1\u02c0\34\0"+
    "\1\u02bb\1\u02bc\1\0\1\u02bd\1\0\1\u02be\7\0\1\u02bf"+
    "\3\0\1\u02c0\5\0\1\u02bb\1\u02bc\1\0\1\u02bd\1\0"+
    "\1\u02be\7\0\1\u02bf\3\0\1\u02c0\33\0\1\u01c9\26\0"+
    "\1\u01c9\30\0\3\u0241\1\0\1\u0242\2\0\1\354\1\u0243"+
    "\1\u0244\1\0\1\u0244\7\357\2\0\1\u01c9\25\0\1\u0244"+
    "\1\u01c9\55\0\1\u02c3\26\0\1\u02c3\57\0\1\u01c9\26\0"+
    "\1\u01c9\71\0\1\u02c4\26\0\1\u02c4\57\0\1\u02c5\26\0"+
    "\1\u02c5\5\0\1\u02c5\47\0\1\u02c6\26\0\1\u02c6\5\0"+
    "\1\u02c6\2\0\3\u024c\1\0\1\u024d\3\0\1\u0243\1\276"+
    "\1\0\1\276\7\357\3\0\1\u02bb\1\u02bc\1\0\1\u02bd"+
    "\1\0\1\u02be\7\0\1\u02bf\3\0\1\u02c0\3\0\1\276"+
    "\1\0\1\u02bb\1\u02bc\1\0\1\u02bd\1\0\1\u02be\7\0"+
    "\1\u02bf\3\0\1\u02c0\47\0\1\u02c7\26\0\1\u02c7\14\0"+
    "\3\276\1\0\1\311\1\312\6\0\1\313\1\314\1\315"+
    "\4\316\3\0\1\u02c8\1\u02c9\1\0\1\u02ca\1\0\1\u02cb"+
    "\7\0\1\u02cc\3\0\1\u02cd\5\0\1\u02c8\1\u02c9\1\0"+
    "\1\u02ca\1\0\1\u02cb\7\0\1\u02cc\3\0\1\u02cd\33\0"+
    "\1\u01d1\26\0\1\u01d1\30\0\3\u024c\1\0\1\u024d\2\0"+
    "\1\354\1\u0243\1\u024e\1\0\1\u024e\7\357\2\0\1\u01d1"+
    "\25\0\1\u024e\1\u01d1\55\0\1\u02ce\26\0\1\u02ce\57\0"+
    "\1\u01d1\26\0\1\u01d1\73\0\1\u02cf\26\0\1\u02cf\5\0"+
    "\1\u02cf\42\0\1\226\26\0\1\226\63\0\1\u02d0\26\0"+
    "\1\u02d0\62\0\1\u02d1\64\0\1\u02d2\26\0\1\u02d2\36\0"+
    "\7\u02d3\76\0\7\u02d4\105\0\1\u01d8\1\0\7\u0160\1\u02d5"+
    "\14\u0160\2\0\1\u0160\7\0\1\u02d6\55\0\1\u02d6\26\0"+
    "\1\u02d6\44\0\1\u01d8\1\0\1\u0162\11\u0160\1\u0164\11\u0160"+
    "\2\0\1\u0160\1\u0165\11\0\1\u0167\43\0\1\u0165\11\0"+
    "\1\u0167\14\0\1\u0165\11\0\1\u0167\41\0\1\u01d8\1\0"+
    "\24\u0160\2\0\1\u02d7\104\0\1\u02d8\55\0\1\151\123\0"+
    "\1\u02d9\26\0\1\u02d9\36\0\1\242\123\0\1\u02da\26\0"+
    "\1\u02da\57\0\1\u02db\26\0\1\u02db\5\0\1\u02db\30\0"+
    "\1\u02dc\1\u02dd\1\0\1\u02de\1\0\1\u02df\7\0\1\u02e0"+
    "\3\0\1\u02e1\5\0\1\u02dc\1\u02dd\1\0\1\u02de\1\0"+
    "\1\u02df\7\0\1\u02e0\3\0\1\u02e1\33\0\1\u01ea\26\0"+
    "\1\u01ea\27\0\3\u022f\1\u0230\6\u022f\1\u0265\1\u022f\1\u0265"+
    "\7\0\2\u022f\1\u01ea\23\0\2\u022f\1\u0265\1\u01ea\23\0"+
    "\4\u022f\26\0\1\u02e2\26\0\1\u02e2\57\0\1\u01ea\26\0"+
    "\1\u01ea\52\0\1\167\123\0\1\u02e3\26\0\1\u02e3\57\0"+
    "\1\u02e4\26\0\1\u02e4\5\0\1\u02e4\30\0\1\u02e5\1\u02e6"+
    "\1\0\1\u02e7\1\0\1\u02e8\7\0\1\u02e9\3\0\1\u02ea"+
    "\5\0\1\u02e5\1\u02e6\1\0\1\u02e7\1\0\1\u02e8\7\0"+
    "\1\u02e9\3\0\1\u02ea\33\0\1\u01f3\26\0\1\u01f3\27\0"+
    "\3\u0234\1\u0235\6\u0234\1\u026d\1\u0234\1\u026d\7\0\2\u0234"+
    "\1\u01f3\23\0\2\u0234\1\u026d\1\u01f3\23\0\4\u0234\26\0"+
    "\1\u02eb\26\0\1\u02eb\57\0\1\u01f3\26\0\1\u01f3\67\0"+
    "\1\u02ec\26\0\1\u02ec\14\0\3\u0273\1\0\1\u0274\4\0"+
    "\1\u0275\1\0\1\u0275\37\0\1\u0275\72\0\1\u02ed\26\0"+
    "\1\u02ed\14\0\3\u0275\1\0\1\u02ee\21\0\1\u0170\1\u0171"+
    "\1\0\1\u0172\1\0\1\u0173\7\0\1\u0174\3\0\1\u0175"+
    "\1\0\1\u0180\3\0\1\u0170\1\u0171\1\0\1\u0172\1\0"+
    "\1\u0173\7\0\1\u0174\3\0\1\u0175\53\0\1\u02ef\26\0"+
    "\1\u02ef\5\0\1\u02ef\30\0\1\u02f0\26\0\1\u02f0\27\0"+
    "\3\u0182\1\0\1\u0183\4\0\1\u02f1\1\0\1\u02f1\13\0"+
    "\1\u02f2\1\0\1\u02f3\21\0\1\u02f1\2\0\1\u02f2\1\0"+
    "\1\u02f3\24\0\3\u0182\1\0\1\u0183\4\0\1\u02f1\1\0"+
    "\1\u02f1\30\0\1\u02f4\6\0\1\u02f1\17\0\1\u02f4\46\0"+
    "\1\u027c\26\0\1\u027c\14\0\1\u027c\50\0\1\u02f5\26\0"+
    "\1\u02f5\5\0\1\u02f5\2\0\3\u0182\1\0\1\u0183\4\0"+
    "\1\u02f1\1\0\1\u02f1\37\0\1\u02f1\73\0\1\u02f6\26\0"+
    "\1\u02f6\13\0\3\u0117\1\0\1\u0118\4\0\1\u0119\1\0"+
    "\1\u0119\7\u027e\30\0\1\u0119\74\0\1\u02f7\26\0\1\u02f7"+
    "\57\0\1\u02f8\26\0\1\u02f8\5\0\1\u02f8\45\0\1\u02f9"+
    "\26\0\1\u02f9\57\0\1\u02fa\26\0\1\u02fa\5\0\1\u02fa"+
    "\45\0\1\u02fb\26\0\1\u02fb\57\0\1\u02fc\26\0\1\u02fc"+
    "\5\0\1\u02fc\2\0\3\177\1\0\1\307\1\176\1\0"+
    "\1\177\4\0\1\202\1\203\1\204\4\205\4\0\1\u02fd"+
    "\1\0\1\u02fe\7\0\1\210\14\0\1\u02fd\1\0\1\u02fe"+
    "\7\0\1\210\14\0\3\177\1\0\1\307\1\176\1\0"+
    "\1\177\4\0\1\202\1\203\1\204\4\205\16\0\1\210"+
    "\2\0\1\u02ff\23\0\1\210\2\0\1\u02ff\46\0\1\u0289"+
    "\26\0\1\u0289\14\0\1\u0289\50\0\1\u0300\26\0\1\u0300"+
    "\5\0\1\u0300\2\0\3\177\1\0\1\307\1\176\1\0"+
    "\1\177\4\0\1\202\1\203\1\204\4\205\16\0\1\210"+
    "\26\0\1\210\61\0\1\u0301\26\0\1\u0301\5\0\1\u0301"+
    "\30\0\1\u0302\26\0\1\u0302\71\0\1\u0303\26\0\1\u0303"+
    "\60\0\1\u0304\26\0\1\u0304\5\0\1\u0304\26\0\1\177"+
    "\104\0\1\200\104\0\1\276\106\0\1\u0305\26\0\1\u0305"+
    "\70\0\1\u0306\26\0\1\u0306\57\0\1\u0307\26\0\1\u0307"+
    "\57\0\1\u0308\26\0\1\u0308\5\0\1\u0308\30\0\1\u0309"+
    "\26\0\1\u0309\26\0\3\u0234\1\u0235\11\u0234\7\u030a\64\u0234"+
    "\1\u0235\11\u0234\3\u030a\4\u021e\61\u0234\1\0\3\u0125\1\0"+
    "\1\u0126\4\0\1\327\1\0\1\327\7\u030b\30\0\1\327"+
    "\31\0\3\u0299\1\0\1\u029a\4\0\1\u029b\1\0\1\u029b"+
    "\37\0\1\u029b\72\0\1\u030c\26\0\1\u030c\14\0\3\u029b"+
    "\1\0\1\u030d\1\u0133\6\0\1\u030a\1\u030e\1\u030f\4\u030a"+
    "\62\0\3\u029c\1\0\1\u029d\4\0\1\u029e\1\0\1\u029e"+
    "\37\0\1\u029e\72\0\1\u0310\26\0\1\u0310\14\0\3\u029e"+
    "\1\0\1\u0311\1\u0133\6\0\7\u021e\62\0\3\u029f\1\0"+
    "\1\u02a0\4\0\1\u02a1\1\0\1\u02a1\37\0\1\u02a1\72\0"+
    "\1\u0312\26\0\1\u0312\14\0\3\u02a1\1\0\1\u0313\1\u0133"+
    "\144\0\1\u0314\26\0\1\u0314\5\0\1\u0314\2\0\3\u0315"+
    "\1\0\1\u0316\1\176\1\0\1\177\1\0\1\276\1\0"+
    "\1\276\1\202\1\203\1\204\4\205\4\0\1\u0317\1\0"+
    "\1\u0318\7\0\1\210\11\0\1\276\2\0\1\u0317\1\0"+
    "\1\u0318\7\0\1\210\14\0\3\u0315\1\0\1\u0316\1\176"+
    "\1\0\1\177\1\0\1\276\1\0\1\276\1\202\1\203"+
    "\1\204\4\205\16\0\1\210\2\0\1\u0319\6\0\1\276"+
    "\14\0\1\210\2\0\1\u0319\46\0\1\u02a7\26\0\1\u02a7"+
    "\14\0\1\u02a7\50\0\1\u031a\26\0\1\u031a\5\0\1\u031a"+
    "\2\0\3\u0315\1\0\1\u0316\1\176\1\0\1\177\1\0"+
    "\1\276\1\0\1\276\1\202\1\203\1\204\4\205\16\0"+
    "\1\210\11\0\1\276\14\0\1\210\56\0\1\u031b\26\0"+
    "\1\u031b\37\0\1\325\123\0\1\u031c\26\0\1\u031c\55\0"+
    "\1\u031d\26\0\1\u031d\57\0\1\u031e\26\0\1\u031e\5\0"+
    "\1\u031e\1\0\3\u0234\1\u0235\11\u0234\7\0\64\u0234\1\u0235"+
    "\11\u0234\7\u031f\64\u0234\1\u0235\11\u0234\7\u0320\61\u0234\1\0"+
    "\3\325\1\0\1\326\4\0\1\327\1\0\1\327\7\u0321"+
    "\26\0\1\331\1\0\1\327\76\0\1\u0322\26\0\1\u0322"+
    "\5\0\1\u0322\30\0\1\u0323\26\0\1\u0323\70\0\1\u0324"+
    "\26\0\1\u0324\13\0\3\u0234\1\u0235\11\u0234\7\u0325\64\u0234"+
    "\1\u0235\11\u0234\6\u0325\1\u0326\64\u0234\1\u0235\11\u0234\1\u0327"+
    "\6\u0325\64\u0234\1\u0235\11\u0234\1\u0328\6\u0325\61\u0234\25\0"+
    "\1\336\123\0\1\u0329\26\0\1\u0329\52\0\1\351\26\0"+
    "\1\351\44\0\1\u02c0\26\0\1\u02c0\57\0\1\u032a\26\0"+
    "\1\u032a\73\0\1\u032b\26\0\1\u032b\33\0\1\u032c\26\0"+
    "\1\u032c\61\0\1\u032d\26\0\1\u032d\55\0\1\u032e\26\0"+
    "\1\u032e\52\0\1\u032f\26\0\1\u032f\70\0\1\u0330\26\0"+
    "\1\u0330\62\0\1\u0331\26\0\1\u0331\33\0\1\352\123\0"+
    "\1\u0332\26\0\1\u0332\55\0\1\u0333\26\0\1\u0333\40\0"+
    "\1\u0334\26\0\1\u0334\56\0\1\u02cd\26\0\1\u02cd\57\0"+
    "\1\u0335\26\0\1\u0335\73\0\1\u0336\26\0\1\u0336\33\0"+
    "\1\u0337\26\0\1\u0337\61\0\1\u0338\26\0\1\u0338\55\0"+
    "\1\u0339\26\0\1\u0339\72\0\1\u033a\26\0\1\u033a\52\0"+
    "\1\u033b\26\0\1\u033b\46\0\1\u033c\26\0\1\u033c\46\0"+
    "\1\u01d4\11\0\1\u01d6\14\0\1\u01d4\11\0\1\u01d6\71\0"+
    "\1\u033d\45\0\7\u02d3\27\0\1\u033e\46\0\7\u02d4\27\0"+
    "\1\u033f\55\0\1\u0340\1\0\24\u0160\2\0\1\u0160\54\0"+
    "\1\u0341\104\0\1\u01d8\1\0\1\u0162\23\u0160\2\0\1\u0160"+
    "\1\u0165\55\0\1\u0165\26\0\1\u0165\54\0\1\241\104\0"+
    "\1\253\123\0\1\u0342\26\0\1\u0342\41\0\1\u02e1\26\0"+
    "\1\u02e1\57\0\1\u0343\26\0\1\u0343\73\0\1\u0344\26\0"+
    "\1\u0344\33\0\1\u0345\26\0\1\u0345\61\0\1\u0346\26\0"+
    "\1\u0346\55\0\1\u0347\26\0\1\u0347\72\0\1\u0348\26\0"+
    "\1\u0348\33\0\1\u0106\123\0\1\u0349\26\0\1\u0349\41\0"+
    "\1\u02ea\26\0\1\u02ea\57\0\1\u034a\26\0\1\u034a\73\0"+
    "\1\u034b\26\0\1\u034b\33\0\1\u034c\26\0\1\u034c\61\0"+
    "\1\u034d\26\0\1\u034d\55\0\1\u034e\26\0\1\u034e\72\0"+
    "\1\u034f\26\0\1\u034f\32\0\1\u0350\107\0\1\u0351\26\0"+
    "\1\u0351\70\0\1\u0352\26\0\1\u0352\57\0\1\u0353\26\0"+
    "\1\u0353\57\0\1\u0354\26\0\1\u0354\5\0\1\u0354\2\0"+
    "\3\u01f6\1\0\1\u01f8\7\0\7\u01f9\3\0\1\u0355\1\u0356"+
    "\1\0\1\u0357\1\0\1\u0358\7\0\1\u0359\3\0\1\u035a"+
    "\5\0\1\u0355\1\u0356\1\0\1\u0357\1\0\1\u0358\7\0"+
    "\1\u0359\3\0\1\u035a\33\0\1\u027c\26\0\1\u027c\30\0"+
    "\3\u0182\1\0\1\u0183\4\0\1\u02f1\1\0\1\u02f1\11\0"+
    "\1\u027c\25\0\1\u02f1\1\u027c\55\0\1\u035b\26\0\1\u035b"+
    "\57\0\1\u027c\26\0\1\u027c\66\0\1\u010f\26\0\1\u010f"+
    "\41\0\1\u0111\123\0\1\u035c\26\0\1\u035c\36\0\1\u0114"+
    "\123\0\1\u035d\26\0\1\u035d\36\0\1\u0117\123\0\1\u035e"+
    "\26\0\1\u035e\37\0\1\u0289\26\0\1\u0289\30\0\3\177"+
    "\1\0\1\307\1\176\1\0\1\177\4\0\1\202\1\203"+
    "\1\204\4\205\2\0\1\u0289\13\0\1\210\12\0\1\u0289"+
    "\13\0\1\210\41\0\1\u035f\26\0\1\u035f\57\0\1\u0289"+
    "\26\0\1\u0289\71\0\1\u0360\26\0\1\u0360\57\0\1\u0361"+
    "\26\0\1\u0361\5\0\1\u0361\42\0\1\u011e\26\0\1\u011e"+
    "\60\0\1\u0362\26\0\1\u0362\57\0\1\u0363\26\0\1\u0363"+
    "\5\0\1\u0363\30\0\1\u0364\26\0\1\u0364\53\0\1\u0125"+
    "\123\0\1\u0365\26\0\1\u0365\57\0\1\u0366\26\0\1\u0366"+
    "\5\0\1\u0366\1\0\3\u0234\1\u0235\11\u0234\7\u0367\61\u0234"+
    "\1\0\3\u0125\1\0\1\u0126\4\0\1\327\1\0\1\327"+
    "\7\u0368\30\0\1\327\57\0\1\u0369\26\0\1\u0369\70\0"+
    "\1\u036a\26\0\1\u036a\13\0\3\u0234\1\u0235\11\u0234\5\u0367"+
    "\1\u036b\1\u036c\64\u0234\1\u0235\11\u0234\1\u036d\6\u0367\61\u0234"+
    "\27\0\1\u036e\26\0\1\u036e\70\0\1\u036f\26\0\1\u036f"+
    "\42\0\1\u0370\26\0\1\u0370\70\0\1\u0371\26\0\1\u0371"+
    "\57\0\1\u0372\26\0\1\u0372\12\0\3\u0315\1\0\1\u0316"+
    "\1\176\3\0\1\276\1\0\1\276\1\202\1\203\1\204"+
    "\4\205\16\0\1\210\11\0\1\276\14\0\1\210\55\0"+
    "\1\u0373\26\0\1\u0373\41\0\1\u02a7\26\0\1\u02a7\30\0"+
    "\3\u0315\1\0\1\u0316\1\176\1\0\1\177\1\0\1\276"+
    "\1\0\1\276\1\202\1\203\1\204\4\205\2\0\1\u02a7"+
    "\13\0\1\210\11\0\1\276\1\u02a7\13\0\1\210\41\0"+
    "\1\u0374\26\0\1\u0374\57\0\1\u02a7\26\0\1\u02a7\66\0"+
    "\1\u0130\26\0\1\u0130\41\0\1\327\104\0\1\u0137\123\0"+
    "\1\u0375\26\0\1\u0375\11\0\3\u0234\1\u0235\11\u0234\7\u0376"+
    "\61\u0234\15\0\7\u0376\62\0\3\325\1\0\1\326\4\0"+
    "\1\327\1\0\1\327\7\357\26\0\1\331\1\0\1\327"+
    "\77\0\1\u0377\26\0\1\u0377\54\0\1\u0378\26\0\1\u0378"+
    "\5\0\1\u0378\30\0\1\u0379\26\0\1\u0379\26\0\3\u022f"+
    "\1\u0230\11\u022f\7\u02ae\64\u022f\1\u0230\11\u022f\7\u037a\64\u022f"+
    "\1\u0230\11\u022f\3\u037a\4\u02ae\64\u022f\1\u0230\11\u022f\7\u02af"+
    "\61\u022f\25\0\1\u0143\60\0\3\354\1\0\1\u0151\2\0"+
    "\1\354\4\0\7\357\4\0\1\u037b\1\0\1\u037c\24\0"+
    "\1\u037b\1\0\1\u037c\24\0\3\354\1\0\1\u0151\2\0"+
    "\1\354\4\0\7\357\21\0\1\u037d\26\0\1\u037d\46\0"+
    "\1\u032e\26\0\1\u032e\14\0\1\u032e\50\0\1\u037e\26\0"+
    "\1\u037e\5\0\1\u037e\2\0\3\354\1\0\1\u0151\2\0"+
    "\1\354\4\0\7\357\127\0\1\u037f\26\0\1\u037f\5\0"+
    "\1\u037f\30\0\1\u0380\26\0\1\u0380\71\0\1\u0381\26\0"+
    "\1\u0381\37\0\1\354\104\0\1\355\125\0\1\u0382\26\0"+
    "\1\u0382\5\0\1\u0382\2\0\3\u0383\1\0\1\u0384\2\0"+
    "\1\354\1\0\1\276\1\0\1\276\7\357\4\0\1\u0385"+
    "\1\0\1\u0386\21\0\1\276\2\0\1\u0385\1\0\1\u0386"+
    "\24\0\3\u0383\1\0\1\u0384\2\0\1\354\1\0\1\276"+
    "\1\0\1\276\7\357\21\0\1\u0387\6\0\1\276\17\0"+
    "\1\u0387\46\0\1\u0339\26\0\1\u0339\14\0\1\u0339\50\0"+
    "\1\u0388\26\0\1\u0388\5\0\1\u0388\2\0\3\u0383\1\0"+
    "\1\u0384\2\0\1\354\1\0\1\276\1\0\1\276\7\357"+
    "\30\0\1\276\73\0\1\u0389\26\0\1\u0389\37\0\1\u0159"+
    "\103\0\1\u038a\106\0\1\u01d4\26\0\1\u01d4\27\0\52\u038b"+
    "\1\0\32\u038b\2\u01d8\3\0\17\u01d8\1\u0259\2\u01d8\1\u038c"+
    "\22\u01d8\2\0\2\u01d8\1\u038c\26\u01d8\27\0\1\u038d\26\0"+
    "\1\u038d\53\0\1\u0103\57\0\3\u022f\1\u0230\6\u022f\1\u038e"+
    "\1\u022f\1\u038e\7\0\2\u022f\2\0\1\u038f\1\0\1\u0390"+
    "\17\0\2\u022f\1\u038e\2\0\1\u038f\1\0\1\u0390\17\0"+
    "\7\u022f\1\u0230\6\u022f\1\u038e\1\u022f\1\u038e\7\0\2\u022f"+
    "\17\0\1\u0391\4\0\2\u022f\1\u038e\17\0\1\u0391\4\0"+
    "\4\u022f\36\0\1\u0347\26\0\1\u0347\14\0\1\u0347\50\0"+
    "\1\u0392\26\0\1\u0392\5\0\1\u0392\1\0\3\u022f\1\u0230"+
    "\6\u022f\1\u038e\1\u022f\1\u038e\7\0\2\u022f\24\0\2\u022f"+
    "\1\u038e\24\0\4\u022f\43\0\1\u0393\26\0\1\u0393\37\0"+
    "\1\u0108\57\0\3\u0234\1\u0235\6\u0234\1\u0394\1\u0234\1\u0394"+
    "\7\0\2\u0234\2\0\1\u0395\1\0\1\u0396\17\0\2\u0234"+
    "\1\u0394\2\0\1\u0395\1\0\1\u0396\17\0\7\u0234\1\u0235"+
    "\6\u0234\1\u0394\1\u0234\1\u0394\7\0\2\u0234\17\0\1\u0397"+
    "\4\0\2\u0234\1\u0394\17\0\1\u0397\4\0\4\u0234\36\0"+
    "\1\u034e\26\0\1\u034e\14\0\1\u034e\50\0\1\u0398\26\0"+
    "\1\u0398\5\0\1\u0398\1\0\3\u0234\1\u0235\6\u0234\1\u0394"+
    "\1\u0234\1\u0394\7\0\2\u0234\24\0\2\u0234\1\u0394\24\0"+
    "\4\u0234\43\0\1\u0399\26\0\1\u0399\40\0\1\u039a\3\0"+
    "\1\u039b\5\0\1\u039c\14\0\1\u039a\3\0\1\u039b\5\0"+
    "\1\u039c\63\0\1\u039d\26\0\1\u039d\5\0\1\u039d\30\0"+
    "\1\u039e\26\0\1\u039e\53\0\1\u0182\123\0\1\u039f\26\0"+
    "\1\u039f\41\0\1\u035a\26\0\1\u035a\57\0\1\u03a0\26\0"+
    "\1\u03a0\73\0\1\u03a1\26\0\1\u03a1\33\0\1\u03a2\26\0"+
    "\1\u03a2\61\0\1\u03a3\26\0\1\u03a3\55\0\1\u0182\26\0"+
    "\1\u0182\72\0\1\u03a4\26\0\1\u03a4\33\0\1\u0113\104\0"+
    "\1\u0116\104\0\1\u0119\126\0\1\u03a5\26\0\1\u03a5\33\0"+
    "\1\u0192\123\0\1\u03a6\26\0\1\u03a6\36\0\1\u0120\123\0"+
    "\1\u03a7\26\0\1\u03a7\57\0\1\u03a8\26\0\1\u03a8\5\0"+
    "\1\u03a8\26\0\1\u01a1\123\0\1\u03a9\26\0\1\u03a9\11\0"+
    "\3\u022f\1\u0230\11\u022f\7\u021e\61\u022f\1\0\3\u0125\1\0"+
    "\1\u0126\4\0\1\327\1\0\1\327\7\u03aa\30\0\1\327"+
    "\76\0\1\u03ab\26\0\1\u03ab\5\0\1\u03ab\30\0\1\u03ac"+
    "\26\0\1\u03ac\26\0\3\u022f\1\u0230\11\u022f\4\u021e\3\u030a"+
    "\64\u022f\1\u0230\11\u022f\7\u030a\64\u022f\1\u0230\11\u022f\3\u030a"+
    "\4\u021e\61\u022f\46\0\1\u03ad\26\0\1\u03ad\5\0\1\u03ad"+
    "\30\0\1\u03ae\26\0\1\u03ae\74\0\1\u03af\26\0\1\u03af"+
    "\5\0\1\u03af\30\0\1\u03b0\26\0\1\u03b0\53\0\1\u01a8"+
    "\106\0\1\u03b1\26\0\1\u03b1\75\0\1\u03b2\26\0\1\u03b2"+
    "\33\0\1\u0139\57\0\3\u0234\1\u0235\11\u0234\7\u03b3\61\u0234"+
    "\44\0\1\u03b4\26\0\1\u03b4\55\0\1\u03b5\26\0\1\u03b5"+
    "\57\0\1\u03b6\26\0\1\u03b6\5\0\1\u03b6\1\0\3\u0234"+
    "\1\u0235\11\u0234\7\u03b7\61\u0234\26\0\1\u032e\26\0\1\u032e"+
    "\30\0\3\354\1\0\1\u0151\2\0\1\354\4\0\7\357"+
    "\2\0\1\u032e\26\0\1\u032e\55\0\1\u03b8\26\0\1\u03b8"+
    "\57\0\1\u032e\26\0\1\u032e\71\0\1\u03b9\26\0\1\u03b9"+
    "\57\0\1\u03ba\26\0\1\u03ba\5\0\1\u03ba\42\0\1\u01c9"+
    "\26\0\1\u01c9\60\0\1\u03bb\26\0\1\u03bb\12\0\3\u0383"+
    "\1\0\1\u0384\4\0\1\276\1\0\1\276\7\357\30\0"+
    "\1\276\72\0\1\u03bc\26\0\1\u03bc\41\0\1\u0339\26\0"+
    "\1\u0339\30\0\3\u0383\1\0\1\u0384\2\0\1\354\1\0"+
    "\1\276\1\0\1\276\7\357\2\0\1\u0339\25\0\1\276"+
    "\1\u0339\55\0\1\u03bd\26\0\1\u03bd\57\0\1\u0339\26\0"+
    "\1\u0339\66\0\1\u01d1\26\0\1\u01d1\43\0\1\u03be\26\0"+
    "\1\u03be\26\0\52\u038b\1\u03bf\32\u038b\2\u01d8\3\0\17\u01d8"+
    "\1\u0259\3\u01d8\1\u03c0\21\u01d8\2\0\3\u01d8\1\u03c0\25\u01d8"+
    "\30\0\1\u03c1\26\0\1\u03c1\54\0\1\u03c2\1\u03c3\1\0"+
    "\1\u03c4\1\0\1\u03c5\7\0\1\u03c6\3\0\1\u03c7\5\0"+
    "\1\u03c2\1\u03c3\1\0\1\u03c4\1\0\1\u03c5\7\0\1\u03c6"+
    "\3\0\1\u03c7\33\0\1\u0347\26\0\1\u0347\27\0\3\u022f"+
    "\1\u0230\6\u022f\1\u038e\1\u022f\1\u038e\7\0\2\u022f\1\u0347"+
    "\23\0\2\u022f\1\u038e\1\u0347\23\0\4\u022f\26\0\1\u03c8"+
    "\26\0\1\u03c8\57\0\1\u0347\26\0\1\u0347\66\0\1\u01ea"+
    "\26\0\1\u01ea\43\0\1\u03c9\1\u03ca\1\0\1\u03cb\1\0"+
    "\1\u03cc\7\0\1\u03cd\3\0\1\u03ce\5\0\1\u03c9\1\u03ca"+
    "\1\0\1\u03cb\1\0\1\u03cc\7\0\1\u03cd\3\0\1\u03ce"+
    "\33\0\1\u034e\26\0\1\u034e\27\0\3\u0234\1\u0235\6\u0234"+
    "\1\u0394\1\u0234\1\u0394\7\0\2\u0234\1\u034e\23\0\2\u0234"+
    "\1\u0394\1\u034e\23\0\4\u0234\26\0\1\u03cf\26\0\1\u03cf"+
    "\57\0\1\u034e\26\0\1\u034e\66\0\1\u01f3\26\0\1\u01f3"+
    "\64\0\1\u03d0\26\0\1\u03d0\55\0\1\u03d1\26\0\1\u03d1"+
    "\37\0\1\u03d2\26\0\1\u03d2\67\0\1\u03d3\26\0\1\u03d3"+
    "\57\0\1\u03d4\26\0\1\u03d4\5\0\1\u03d4\26\0\1\u01f6"+
    "\60\0\3\u0182\1\0\1\u0183\4\0\1\u01f6\1\0\1\u01f6"+
    "\13\0\1\u03d5\1\0\1\u03d6\21\0\1\u01f6\2\0\1\u03d5"+
    "\1\0\1\u03d6\24\0\3\u0182\1\0\1\u0183\4\0\1\u01f6"+
    "\1\0\1\u01f6\30\0\1\u03d7\6\0\1\u01f6\17\0\1\u03d7"+
    "\46\0\1\u0182\26\0\1\u0182\14\0\1\u0182\50\0\1\u03d8"+
    "\26\0\1\u03d8\5\0\1\u03d8\44\0\1\u03d9\26\0\1\u03d9"+
    "\55\0\1\u03da\26\0\1\u03da\37\0\1\u0194\104\0\1\u019f"+
    "\123\0\1\u03db\26\0\1\u03db\36\0\1\u01a3\60\0\3\u029f"+
    "\1\0\1\u02a0\4\0\1\u02a1\1\0\1\u02a1\7\u03aa\30\0"+
    "\1\u02a1\74\0\1\u03dc\26\0\1\u03dc\57\0\1\u03dd\26\0"+
    "\1\u03dd\5\0\1\u03dd\45\0\1\u03de\26\0\1\u03de\57\0"+
    "\1\u03df\26\0\1\u03df\5\0\1\u03df\45\0\1\u03e0\26\0"+
    "\1\u03e0\57\0\1\u03e1\26\0\1\u03e1\5\0\1\u03e1\47\0"+
    "\1\u03e2\26\0\1\u03e2\5\0\1\u03e2\44\0\1\u03e3\26\0"+
    "\1\u03e3\12\0\3\u0234\1\u0235\11\u0234\7\u02ad\61\u0234\51\0"+
    "\1\u03e4\26\0\1\u03e4\31\0\1\u023a\123\0\1\u03e5\26\0"+
    "\1\u03e5\11\0\3\u022f\1\u0230\11\u022f\7\u0376\61\u022f\47\0"+
    "\1\u03e6\26\0\1\u03e6\33\0\1\u0241\123\0\1\u03e7\26\0"+
    "\1\u03e7\36\0\1\u024c\106\0\1\u03e8\26\0\1\u03e8\75\0"+
    "\1\u03e9\26\0\1\u03e9\36\0\1\u03ea\26\0\1\u03ea\41\0"+
    "\1\u03eb\70\0\2\u01d8\3\0\17\u01d8\1\u0259\5\u01d8\1\u03ec"+
    "\17\u01d8\2\0\5\u01d8\1\u03ec\23\u01d8\32\0\1\u03ed\26\0"+
    "\1\u03ed\53\0\1\u03c7\26\0\1\u03c7\57\0\1\u03ee\26\0"+
    "\1\u03ee\73\0\1\u03ef\26\0\1\u03ef\33\0\1\u03f0\26\0"+
    "\1\u03f0\61\0\1\u03f1\26\0\1\u03f1\55\0\1\u03f2\26\0"+
    "\1\u03f2\72\0\1\u03f3\26\0\1\u03f3\36\0\1\u03ce\26\0"+
    "\1\u03ce\57\0\1\u03f4\26\0\1\u03f4\73\0\1\u03f5\26\0"+
    "\1\u03f5\33\0\1\u03f6\26\0\1\u03f6\61\0\1\u03f7\26\0"+
    "\1\u03f7\55\0\1\u03f8\26\0\1\u03f8\72\0\1\u03f9\26\0"+
    "\1\u03f9\55\0\1\u03fa\26\0\1\u03fa\62\0\1\u03fb\64\0"+
    "\1\u03fc\26\0\1\u03fc\46\0\1\u0273\123\0\1\u03fd\26\0"+
    "\1\u03fd\37\0\1\u0182\26\0\1\u0182\30\0\3\u0182\1\0"+
    "\1\u0183\4\0\1\u01f6\1\0\1\u01f6\11\0\1\u0182\25\0"+
    "\1\u01f6\1\u0182\55\0\1\u03fe\26\0\1\u03fe\57\0\1\u0182"+
    "\26\0\1\u0182\66\0\1\u027c\26\0\1\u027c\55\0\1\u0289"+
    "\26\0\1\u0289\41\0\1\u021a\104\0\1\u0299\123\0\1\u03ff"+
    "\26\0\1\u03ff\36\0\1\u029c\123\0\1\u0400\26\0\1\u0400"+
    "\36\0\1\u029f\123\0\1\u0401\26\0\1\u0401\55\0\1\u0402"+
    "\26\0\1\u0402\52\0\1\u02a7\26\0\1\u02a7\40\0\1\u0403"+
    "\105\0\1\u023c\122\0\1\u0404\26\0\1\u0404\37\0\1\u0243"+
    "\125\0\1\u0405\26\0\1\u0405\5\0\1\u0405\44\0\1\u0406"+
    "\26\0\1\u0406\44\0\1\u0407\26\0\1\u0407\63\0\1\u0408"+
    "\26\0\1\u0408\15\0\2\u01d8\3\0\17\u01d8\1\u0409\25\u01d8"+
    "\2\0\31\u01d8\24\0\1\u0409\60\0\3\u022f\1\u0230\11\u022f"+
    "\7\0\2\u022f\2\0\1\u040a\1\0\1\u040b\17\0\3\u022f"+
    "\2\0\1\u040a\1\0\1\u040b\17\0\7\u022f\1\u0230\11\u022f"+
    "\7\0\2\u022f\17\0\1\u040c\4\0\3\u022f\17\0\1\u040c"+
    "\4\0\4\u022f\36\0\1\u03f2\26\0\1\u03f2\14\0\1\u03f2"+
    "\50\0\1\u040d\26\0\1\u040d\5\0\1\u040d\1\0\3\u022f"+
    "\1\u0230\11\u022f\7\0\2\u022f\24\0\3\u022f\24\0\4\u022f"+
    "\43\0\1\u040e\26\0\1\u040e\12\0\3\u0234\1\u0235\11\u0234"+
    "\7\0\2\u0234\2\0\1\u040f\1\0\1\u0410\17\0\3\u0234"+
    "\2\0\1\u040f\1\0\1\u0410\17\0\7\u0234\1\u0235\11\u0234"+
    "\7\0\2\u0234\17\0\1\u0411\4\0\3\u0234\17\0\1\u0411"+
    "\4\0\4\u0234\36\0\1\u03f8\26\0\1\u03f8\14\0\1\u03f8"+
    "\50\0\1\u0412\26\0\1\u0412\5\0\1\u0412\1\0\3\u0234"+
    "\1\u0235\11\u0234\7\0\2\u0234\24\0\3\u0234\24\0\4\u0234"+
    "\43\0\1\u0413\26\0\1\u0413\47\0\1\u0414\26\0\1\u0414"+
    "\46\0\1\u039a\11\0\1\u039c\14\0\1\u039a\11\0\1\u039c"+
    "\71\0\1\u0415\55\0\1\u0275\126\0\1\u0416\26\0\1\u0416"+
    "\33\0\1\u029b\104\0\1\u029e\104\0\1\u02a1\104\0\1\u0315"+
    "\115\0\1\u0417\4\0\1\u0418\21\0\1\u0417\4\0\1\u0418"+
    "\7\0\1\u0417\43\0\1\u032e\26\0\1\u032e\60\0\1\u0419"+
    "\26\0\1\u0419\52\0\1\u0339\26\0\1\u0339\40\0\1\u041a"+
    "\117\0\1\u041b\26\0\1\u041b\15\0\1\u041b\15\0\7\u041c"+
    "\107\0\1\u03f2\26\0\1\u03f2\27\0\3\u022f\1\u0230\11\u022f"+
    "\7\0\2\u022f\1\u03f2\23\0\3\u022f\1\u03f2\23\0\4\u022f"+
    "\26\0\1\u041d\26\0\1\u041d\57\0\1\u03f2\26\0\1\u03f2"+
    "\66\0\1\u0347\26\0\1\u0347\42\0\1\u03f8\26\0\1\u03f8"+
    "\27\0\3\u0234\1\u0235\11\u0234\7\0\2\u0234\1\u03f8\23\0"+
    "\3\u0234\1\u03f8\23\0\4\u0234\26\0\1\u041e\26\0\1\u041e"+
    "\57\0\1\u03f8\26\0\1\u03f8\66\0\1\u034e\26\0\1\u034e"+
    "\40\0\1\u041f\106\0\1\u039a\26\0\1\u039a\72\0\1\u0420"+
    "\26\0\1\u0420\54\0\1\u0421\26\0\1\u0421\46\0\1\u0421"+
    "\26\0\1\u0421\47\0\1\u0383\74\0\7\u0422\123\0\1\u0423"+
    "\26\0\1\u0423\30\0\7\u041c\27\0\1\u0424\100\0\1\u0425"+
    "\26\0\1\u0425\55\0\1\u0426\26\0\1\u0426\35\0\1\u0427"+
    "\26\0\1\u0427\67\0\1\u0182\26\0\1\u0182\40\0\1\u0428"+
    "\75\0\7\u0422\27\0\1\u0429\104\0\1\u042a\31\0\52\u042b"+
    "\1\0\32\u042b\43\0\1\u042c\26\0\1\u042c\55\0\1\u042d"+
    "\26\0\1\u042d\42\0\1\u042e\26\0\1\u042e\42\0\7\u042f"+
    "\61\0\52\u0430\1\0\32\u0430\52\u042b\1\u0431\32\u042b\41\0"+
    "\1\u03f2\26\0\1\u03f2\55\0\1\u03f8\26\0\1\u03f8\46\0"+
    "\1\u0432\26\0\1\u0432\40\0\7\u042f\27\0\1\u0433\31\0"+
    "\52\u0430\1\u0434\32\u0430\14\0\1\u0435\114\0\1\u0436\60\0"+
    "\52\u0437\1\0\32\u0437\14\0\1\u0438\130\0\1\u0439\26\0"+
    "\1\u0439\32\0\7\u043a\61\0\52\u0437\1\u043b\32\u0437\40\0"+
    "\1\u043c\26\0\1\u043c\54\0\1\u043d\26\0\1\u043d\15\0"+
    "\1\u043d\15\0\7\u043a\27\0\1\u043e\45\0\1\u043f\127\0"+
    "\1\u0440\26\0\1\u0440\15\0\1\u0440\42\0\1\u0441\26\0"+
    "\1\u0441\13\0\52\u0442\1\0\32\u0442\40\0\1\u0443\26\0"+
    "\1\u0443\57\0\1\u0444\26\0\1\u0444\66\0\1\u0445\31\0"+
    "\52\u0442\1\u0446\32\u0442\37\0\1\u0447\26\0\1\u0447\15\0"+
    "\1\u0447\53\0\1\u0448\45\0\1\u0449\132\0\1\u044a\26\0"+
    "\1\u044a\14\0\3\u0448\1\0\1\u044b\4\0\1\u044c\1\0"+
    "\1\u044c\37\0\1\u044c\70\0\1\u044d\26\0\1\u044d\70\0"+
    "\1\327\73\0\1\u044e\26\0\1\u044e\14\0\3\u044c\1\0"+
    "\1\u044f\1\312\6\0\1\u0124\1\u0450\1\u0451\4\u0124\120\0"+
    "\1\u0452\26\0\1\u0452\15\0\1\u0452\27\0\1\u0453\26\0"+
    "\1\u0453\70\0\1\u0454\26\0\1\u0454\30\0\5\u019f\1\u0455"+
    "\1\u0456\76\0\1\u0457\6\u019f\123\0\1\u0458\26\0\1\u0458"+
    "\61\0\1\u0459\26\0\1\u0459\5\0\1\u0459\30\0\1\u045a"+
    "\26\0\1\u045a\27\0\3\u019f\1\0\1\u0219\4\0\1\u021a"+
    "\1\0\1\u021a\4\0\3\u0124\30\0\1\u021a\31\0\3\u019f"+
    "\1\0\1\u0219\4\0\1\u021a\1\0\1\u021a\7\u0124\30\0"+
    "\1\u021a\31\0\3\u019f\1\0\1\u0219\4\0\1\u021a\1\0"+
    "\1\u021a\3\u0124\34\0\1\u021a\103\0\1\u03f8\75\0\1\u045b"+
    "\26\0\1\u045b\57\0\1\u045c\26\0\1\u045c\5\0\1\u045c"+
    "\26\0\1\u0448\123\0\1\u045d\26\0\1\u045d\36\0\1\u044c"+
    "\57\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[75969];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\5\0\2\1\1\11\1\1\1\11\1\1\2\11\20\1"+
    "\22\0\2\1\2\0\1\11\2\0\2\1\2\0\1\11"+
    "\44\0\1\1\4\0\1\1\221\0\1\11\u0137\0\1\11"+
    "\1\1\3\0\1\11\1\1\57\0\1\1\7\0\1\1"+
    "\320\0\1\11\117\0\1\1\5\0\1\1\225\0\1\11"+
    "\32\0\1\11\30\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[1117];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S066_FullEuropeanNumbers() { }
	



  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S066_FullEuropeanNumbers(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 15: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 16: break;
          case 3:
            { System.out.print(yytext());
            }
          // fall through
          case 17: break;
          case 4:
            { checkEnd();
            }
          // fall through
          case 18: break;
          case 5:
            { if(Util.readFirstNumber(annotationEntity.getValue()).equals("")) {
		
			save(new AnnotationEntity(Entity.NUMBER), yytext(), false);
			
			if( !annotationEntity.getValue().equals("")) annotationEntity.setValue(annotationEntity.getValue() + "/");
			annotationEntity.setValue(annotationEntity.getValue() + yytext());
		
		} else {

			save(new AnnotationEntity(Entity.YEAR), Util.normalizeYear(yytext()), false);
			
			annotationEntity.setValue(annotationEntity.getValue() + "/" + yytext());
		}
            }
          // fall through
          case 19: break;
          case 6:
            { if(Util.readFirstNumber(annotationEntity.getValue()).equals("")) {
		
			save(new AnnotationEntity(Entity.YEAR), Util.normalizeYear(yytext()), false);
			
			if( !annotationEntity.getValue().equals("")) annotationEntity.setValue(annotationEntity.getValue() + "/");
			annotationEntity.setValue(annotationEntity.getValue() + yytext());
		
		} else {

			save(new AnnotationEntity(Entity.NUMBER), yytext(), false);
			
			annotationEntity.setValue(annotationEntity.getValue() + "/" + yytext());
		}
            }
          // fall through
          case 20: break;
          case 7:
            { if( !checkEdge()) {
		
			if( !annotationEntity.getValue().equals("")) annotationEntity.setValue(annotationEntity.getValue() + "/");
			annotationEntity.setValue(annotationEntity.getValue() + yytext());
			
			save(new AnnotationEntity(Entity.EU_ACRONYM), yytext().trim().toUpperCase(), false);
			
			//TODO al momento le entità EuropeanAcronym si sovrascrivono nella mappa delle related entities, tiene soltanto l'ultima
		}
            }
          // fall through
          case 21: break;
          case 8:
            { if( !checkEdge()) {
		
			if( !annotationEntity.getValue().equals("")) annotationEntity.setValue(annotationEntity.getValue() + "/");
			annotationEntity.setValue(annotationEntity.getValue() + yytext());
			
			save(new AnnotationEntity(Entity.EU_ACRONYM), yytext().trim().toUpperCase(), false);
		}
            }
          // fall through
          case 22: break;
          case 9:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 23: break;
          case 10:
            { start(new AnnotationEntity(Entity.FULL_EU_NUMBER), numberYearState, true, true);
            }
          // fall through
          case 24: break;
          case 11:
            { start(new AnnotationEntity(Entity.FULL_EU_NUMBER), yearNumberState, true, true);
            }
          // fall through
          case 25: break;
          case 12:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 26: break;
          case 13:
            { if( !checkEdge()) {
		
			AnnotationEntity retrievedEntity = retrieveEntity();
			
			offset += yylength();
			position += retrievedEntity.getText().length();
		}
            }
          // fall through
          case 27: break;
          case 14:
            { AnnotationEntity retrievedEntity = retrieveEntity();
		
		annotationEntity.addRelatedEntity(retrievedEntity);
				
		offset += yylength();
		position += retrievedEntity.getText().length();
            }
          // fall through
          case 28: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S066_FullEuropeanNumbers [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S066_FullEuropeanNumbers scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S066_FullEuropeanNumbers(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
